function serverCmdgivemoney(%client,%args)
{
	%money = mFloor(getWord(%args, 0));
	if(%money < 1)
	{
		messageClient(%client, '', "\c6You must enter a valid amount of money to give.");
		return;
	}
				
	if(TezRPData.getData(%client.bl_id).valueMoney - %money < 0)
	{
		messageClient(%client, '', "\c6You don't have that much money to give.");
		return;
	}
	if(!isObject(%client.player))
	{
		messageClient(%client, '', "\c6Spawn first before you use this command.");
		return;
	}
	%target = containerRayCast(%client.player.getEyePoint(), vectorAdd(vectorScale(vectorNormalize(%client.player.getEyeVector()), 5), %client.player.getEyePoint()), $typeMasks::playerObjectType,%client.player).client;

	if(!isObject(%target))
	{
		messageClient(%client, '', "\c6You must be looking at and be in a reasonable distance of the player in order to give them money.");
		return;
	}
	messageClient(%client, '', "\c6You give \c3$" @ %money SPC "\c6to \c3" @ %target.name @ "\c6.");
	messageClient(%target, '', "\c3" @ %client.name SPC "\c6has given you \c3$" @ %money @ "\c6.");
	TezRPData.getData(%client.bl_id).valueMoney -= %money;
	TezRPData.getData(%target.bl_id).valueMoney += %money;
	%client.TezRP(1);
	%target.TezRP(1);
}
function serverCmdgrantmoney(%client,%args)
{
	if(!%client.isSuperAdmin)
	{
		messageClient(%client, '', "\c6You must be super admin to use the this command.");
		return;
	}
	%money = mFloor(getWord(%args, 0));
	if(%money < 1)
	{
		messageClient(%client, '', "\c6You must enter a valid amount of money to grant.");
		return;
	}
	if(!%client.isHost)
	{
		if(%money > 25000)
		{
			messageClient(%client, '', "\c6You don't need that much money.  Don't inflate the economy.");
			return;
		}
	}

	if(!isObject(%client.player) && !isObject(findClientByName(getWords(%args, 1, getWordCount(%args) - 1))))
	{
		messageClient(%client, '', "\c6Spawn first before you use this command or enter a valid player's name.");
		return;
	}
	if(getWords(%args, 1, getWordCount(%args) - 1) !$= "")
	{
		%target = findClientByName(getWords(%args, 1, getWordCount(%args) - 1));
	}
	if(!isObject(%target) && isObject(%client.player))
	{
		%target = containerRayCast(%client.player.getEyePoint(), vectorAdd(vectorScale(vectorNormalize(%client.player.getEyeVector()), 8), %client.player.getEyePoint()), $typeMasks::playerObjectType).client;
	}				
	if(!isObject(%target))
	{
		messageClient(%client, '', "\c6You must be looking at or enter the name of the player in order to grant to them.");
		return;
	}
	messageClient(%client, '', "\c6You grant \c3$" @ %money SPC "\c6to \c3" @ %target.name @ "\c6.");
	messageClient(%target, '', "\c3" @ %client.name @ "\c6 has granted you \c3$" @ %money @ "\c6.");
	TezRPData.getData(%target.bl_id).valueMoney += %money;
	%target.TezRP(1);
}
function serverCmddeductmoney(%client,%args)
{
	if(!%client.isSuperAdmin)
	{
		messageClient(%client, '', "\c6You must be super admin to use the this command.");
		return;
	}
	%money = mFloor(getWord(%args, 0));
	if(%money < 1)
	{
		messageClient(%client, '', "\c6You must enter a valid amount of money to deduct.");
		return;
	}
	if(!isObject(%client.player) && !isObject(findClientByName(getWords(%args, 1, getWordCount(%args) - 1))))
	{
		messageClient(%client, '', "\c6Spawn first before you use this command or enter a valid player's name.");
		return;
	}
	if(getWords(%args, 1, getWordCount(%args) - 1) !$= "")
	{
		%target = findClientByName(getWords(%args, 1, getWordCount(%args) - 1));
	}
	if(!isObject(%target) && isObject(%client.player))
	{
		%target = containerRayCast(%client.player.getEyePoint(), vectorAdd(vectorScale(vectorNormalize(%client.player.getEyeVector()), 8), %client.player.getEyePoint()), $typeMasks::playerObjectType).client;
	}
	if(!isObject(%target))
	{
		messageClient(%client, '', "\c6You must be looking at or enter the name of the player in order to deduct money from them.");
		return;
	}
	if(TezRPData.getData(%target.bl_id).valueMoney - %money < 0)
	{
		%money = TezRPData.getData(%target.bl_id).valueMoney;
	}
	messageClient(%client, '', "\c6You deduct \c3$" @ %money SPC "\c6from \c3" @ %target.name @ "\c6.");
	messageClient(%target, '', "\c3" @ %client.name @ "\c6 has deducted \c3$" @ %money @ "\c6 from you.");
	TezRPData.getData(%target.bl_id).valueMoney -= %money;
	%target.TezRP(1);
}
function serverCmdstats(%client,%args)
{
	messageClient(%client, '', "\c6Player Stats: \c3" @ %client.name @ "\c6");
	messageClient(%client, '', "\c6- Money: \c3$" @ TezRPData.getData(%client.bl_id).valueMoney SPC "\c6Bank: \c3$" @ getWord(TezRPData.getData(%client.bl_id).valueBankData, 0));
	messageClient(%client, '', "\c6- Job: \c3" @ $TezRP::jobs::name[TezRPData.getData(%client.bl_id).valueJobID] SPC "\c6Income: \c3" @ $TezRP::jobs::pay[TezRPData.getData(%client.bl_id).valueJobID] SPC "\c6Tax: \c3" @ ((%client.brickGroup.taxes > 0) ? %client.brickGroup.taxes : "0"));
	messageClient(%client, '', "\c6- Clean Record: \c3" @ ((getWord(TezRPData.getData(%client.bl_id).valueJailData, 0)) ? "No" : "Yes") SPC "\c6Demerits: \c3" @ TezRPData.getData(%client.bl_id).valueDemerits SPC "\c6Jail Time: \c3" @ getWord(TezRPData.getData(%client.bl_id).valueJailData, 1) SPC "\c6Tick" @ ((getWord(TezRPData.getData(%client.bl_id).valueJailData, 1) == 1) ? "" : "s")); 
}
function serverCmdcheckaccount(%client,%args)
{
	if(!%client.isAdmin)
	{
		messageClient(%client, '', "\c6You must be admin to use the \c3checkaccount \c6command.");
		return;
	}
	if(!isObject(%client.player) && !isObject(findClientByName(getWords(%args, 1, getWordCount(%args) - 1))))
	{
		messageClient(%client, '', "\c6Spawn first before you use this command.");
		return;
	}
	if(getWords(%args, 0, getWordCount(%args) - 1) !$= "")
	{
		%target = findClientByName(getWords(%args, 0, getWordCount(%args) - 1));
	}
	if(!isObject(%target) && isObject(%client.player))
	{
		%target = containerRayCast(%client.player.getEyePoint(), vectorAdd(vectorScale(vectorNormalize(%client.player.getEyeVector()), 8), %client.player.getEyePoint()), $typeMasks::playerObjectType).client;
	}
	if(!isObject(%target))
	{
		for(%a = 0; %a < clientGroup.getCount(); %a++)
		{
			%target = clientGroup.getObject(%a);
			if(!isObject(TezRPData.getData(%target.bl_id)))
			{
				continue;
			}
			messageClient(%client, '', "\c3" @ %target.name SPC "\c6- Money: \c3$" @ TezRPData.getData(%target.bl_id).valueMoney SPC "\c6Bank: \c3$" @ getWord(TezRPData.getData(%target.bl_id).valueBankData, 0) SPC "\c6Job: \c3" @ $TezRP::jobs::name[TezRPData.getData(%target.bl_id).valueJobID] SPC "\c6Income: \c3" @ $TezRP::jobs::pay[TezRPData.getData(%target.bl_id).valueJobID] SPC "\c6Tax: \c3" @ ((%target.brickGroup.taxes > 0) ? %target.brickGroup.taxes : "0"));
			messageClient(%client, '', "\c6- Clean Record: \c3" @ ((getWord(TezRPData.getData(%target.bl_id).valueJailData, 0)) ? "No" : "Yes") SPC "\c6Demerits: \c3" @ TezRPData.getData(%target.bl_id).valueDemerits SPC "\c6Jail Time: \c3" @ getWord(TezRPData.getData(%target.bl_id).valueJailData, 1) SPC "\c6Tick" @ ((getWord(TezRPData.getData(%target.bl_id).valueJailData, 1) == 1) ? "" : "s")); 
		}
		return;
	}
	messageClient(%client, '', "\c3" @ %target.name SPC "\c6- Money: \c3$" @ TezRPData.getData(%target.bl_id).valueMoney SPC "\c6Bank: \c3$" @ getWord(TezRPData.getData(%target.bl_id).valueBankData, 0) SPC "\c6Job: \c3" @ $TezRP::jobs::name[TezRPData.getData(%target.bl_id).valueJobID] SPC "\c6Income: \c3" @ $TezRP::jobs::pay[TezRPData.getData(%target.bl_id).valueJobID] SPC "\c6Tax: \c3" @ ((%target.brickGroup.taxes > 0) ? %target.brickGroup.taxes : "0"));
	messageClient(%client, '', "\c6- Clean Record: \c3" @ ((getWord(TezRPData.getData(%target.bl_id).valueJailData, 0)) ? "No" : "Yes") SPC "\c6Demerits: \c3" @ TezRPData.getData(%target.bl_id).valueDemerits SPC "\c6Jail Time: \c3" @ getWord(TezRPData.getData(%target.bl_id).valueJailData, 1) SPC "\c6Tick" @ ((getWord(TezRPData.getData(%target.bl_id).valueJailData, 1) == 1) ? "" : "s")); 
}

function serverCmdjob(%client,%a0,%a1,%a2,%a3,%a4,%a5,%a6,%a7,%a8,%a8,%a10,%a11,%a12,%a13,%a14,%a15,%a16,%a17,%a18,%a19)
{
    for(%i=0;%a[%i]!$="";%i++)
        %args=%args@%a[%i]@" ";
    %args=trim(%args);
        if(strLwr(getWords(%args, 0, getWordCount(%args) - 1)) $= "")
        {
                messageClient(%client, '', "\c6Type \c3/help jobs\c6 to see a list of jobs.");
                return;
        }
        if(strLwr(getWords(%args, 0, getWordCount(%args) - 1)) $= strLwr($TezRP::jobs::name[TezRPData.getData(%client.bl_id).valueJobID])) //here?
        {
                messageClient(%client, '', "\c6You are already" SPC TezRP(3, $TezRP::jobs::name[TezRPData.getData(%client.bl_id).valueJobID]) SPC "\c3" @ $TezRP::jobs::name[TezRPData.getData(%client.bl_id).valueJobID] @ "\c6.");
                return;
        }
        for(%a = 1; %a <= $TezRP::jobs; %a++)
        {
                if(strLwr(getWords(%args, 0, getWordCount(%args) - 1)) $= strLwr($TezRP::jobs::name[%a]))
                {
                        if($TezRP::jobs::law[%a] && getWord(TezRPData.getData(%client.bl_id).valueJailData, 0) == 1)
                        {
                                messageClient(%client, '', "\c6You don't have a clean criminal record. You can't become" SPC TezRP(3, $TezRP::jobs::name[%a]) SPC "\c3" @ $TezRP::jobs::name[%a] @ "\c6.");
                                return;
                        }
                        if(mFloor($TezRP::jobs::initialInvestment[%a]) > 0)
                        {
                                if(TezRPData.getData(%client.bl_id).valueMoney < mFloor($TezRP::jobs::initialInvestment[%a]) && !%client.isSUperAdmin)
                                {
                                        messageClient(%client, '', "\c6You need at least \c3$" @ mFloor($TezRP::jobs::initialInvestment[%a]) SPC "\c6in order to apply for this job.");
                                        return;

                                }

                                if(%args $= "Assassin VIP")
                                {
                                        if(!%client.isvip)
                                        {
                                                MessageClient(%client, '', "\c6You aren't a VIP.");
                                                return;
                                        }
                                }

                                if(%args $= "Federal Agent VIP")
                                {
                                        if(!%client.isvip)
                                        {
                                                MessageClient(%client, '', "\c6You aren't a VIP.");
                                                return;
                                        }
                                }
                        
                                if(!%client.isSuperAdmin)
                                {
                                        messageClient(%client, '', "\c6You have paid \c3$" @ mFloor($TezRP::jobs::initialInvestment[%a]) @ "\c6 to become" SPC TezRP(3, $TezRP::jobs::name[%a]) SPC "\c3" @ $TezRP::jobs::name[%a] @ "\c6.");
                                }
                                else
                                {
                                        messageClient(%client, '', "\c6You have become" SPC TezRP(3, $TezRP::jobs::name[%a]) SPC "\c3" @ $TezRP::jobs::name[%a] @ "\c6.");
                                }

                                if(getJob(%this) $= "ninja")
                                {
                                        %this.player.setShapeNameColor("1 0 0.8");
                                }

                                if(getJob(%Client) $= "Policeman" || getJob(%Client) $= "Police Chief" || getJob(%Client) $= "Sheriff")
                                {
                                        %Client.player.setShapeNameColor("0 0 1");
                                }

                                if(getJob(%Client) $= "Federal Agent" || getJob(%Client) $= "Federal Agent VIP")
                                {

                                        %Client.player.setShapeNameColor("0 0 1");
                                }

                                if(getJob(%Client) $= "Criminal" || getJob(%Client) $= "Elite Criminal" || getJob(%Client) $= "Assassin")
                                {
                                        %Client.player.setShapeNameColor("0 1 0");
                                }

                                if(getJob(%Client) $= "Assassin VIP")
                                {
                                        %Client.player.setShapeNameColor("0 1 0");
                                }

                                if(getJob(%Client) $= "Shop Keeper")
                                {
                                        %Client.player.setShapeNameColor("1 0 1");
                                }

                                if(getJob(%this) $= "Mercenary")
                                {
                                        %this.player.setShapeNameColor("0 1 1");
                                }

                                if(TezRPData.getData(%client.client.bl_id).valueDemerits >= $TezRP::demerits::wantedLevel)
                                {
                                        %client.player.setShapeNameColor("1 0 0");
                                }        

                        } 

                        else 
                        {
                                messageClient(%client, '', "\c6You are now" SPC TezRP(3, $TezRP::jobs::name[%a]) SPC "\c3" @ $TezRP::jobs::name[%a] @ "\c6.");
                                //%Client.ApplyForcedBodyColors();
                                //%Client.ApplyForcedBodyParts();
                        }                        

                        if($TezRP::jobs::items[TezRPData.getData(%client.bl_id).valueJobID] == 1)
                        {
                                %brickGroup = "brickGroup_" @ %client.bl_id;
                                %display = false;

                                for(%b = 0; %b < %brickGroup.getCount(); %b++)
                                {
                                        if(!isObject(%brickGroup.getObject(%b).item))
                                        {
                                                continue;
                                        }

                                        %brickGroup.getObject(%b).setItem(0, (isObject(%brickGroup.client) ? %brickGroup.client : 0), true);
                                        %display = true;
                                }

                                if(%display)
                                {
                                        messageClient(%client, '', "\c6Since you are no longer" SPC TezRP(3, $TezRP::jobs::name[TezRPData.getData(%client.bl_id).valueJobID]) SPC $TezRP::jobs::name[TezRPData.getData(%client.bl_id).valueJobID] @ ", your item spawns have been removed.");
                                }
                        }

                        if(!%client.isSuperAdmin)
                        {
                                TezRPData.getData(%client.bl_id).valueMoney -= mFloor($TezRP::jobs::initialInvestment[%a]);
                        }

                        TezRPData.getData(%client.bl_id).valueJobID = %a;

                        if(isObject(%client.player))
                        {
                                serverCmdunUseTool(%client);
                                %client.player.giveDefaultEquipment();
                        }

                        %client.TezRP(1);

                        return;
                }
        }
        messageClient(%client, '', "\c6Invalid job \c3'" @ getWords(%args, 0, getWordCount(%args) - 1) @ "'\c6. Type \c3/help jobs\c6 to see a list of the jobs.");
}


function serverCmdhelp(%client,%args)
{
	%section = strLwr(getWord(strLwr(%args), getWordCount(%args) - 1));

	if(%section $= "")
	{
		messageClient(%client, '', "\c6Help sections:");
		messageClient(%client, '', "\c6- \c3jobs");
		messageClient(%client, '', "\c6- \c3zones");
		messageClient(%client, '', "\c6- \c3items");
		messageClient(%client, '', "\c6- \c3commands");
	}

	if(%section $= "admin")
	{
		if(!%client.isAdmin)
		{
			messageClient(%client, '', "\c6You must be admin to use this help section!");
		}
		return;
	}
	if(%section $= "jobs")
	{
		messageClient(%client, '', "\c6Type \c3/job\c6 then one of the jobs below to become that job.");
		for(%a = 1; %a <= $TezRP::jobs; %a++)
		{
			messageClient(%client, '', "\c3" @ $TezRP::jobs::name[%a] SPC "\c6- Inital Investment: \c3" @ $TezRP::jobs::initialInvestment[%a] SPC "\c6Pay: \c3" @ $TezRP::jobs::pay[%a] SPC "\c6Items: \c3" SPC (($TezRP::jobs::items[%a] == 1) ? "Yes" : "No") SPC "\c6Law: \c3" SPC (($TezRP::jobs::law[%a]) ? "Yes" : "No"));
		}
		return;
	}
	if(%section $= "zones")
	{
		messageClient(%client, '', "\c6This is a list of build zones you can plant.");
		for(%a = 0; %a < datablockGroup.getCount(); %a++)
		{
			%datablock = datablockGroup.getObject(%a);
			if(%datablock.TezRPBrickType == 1)
			{
				messageClient(%client, '', "\c3" @ %datablock.uiName SPC "\c6- Size: \c3" @ %datablock.brickSizeX @ "x" @ %datablock.brickSizeY SPC "\c6Cost: \c3" @ %datablock.initialPrice SPC "\c6Tax: \c3" SPC %datablock.taxAmount);
			}
		}
		return;
	}
	if(%section $= "items")
	{
		messageClient(%client, '', "\c6This is a list of item prices.");
		for(%a = 0; %a < datablockGroup.getCount(); %a++)
		{
			%datablock = datablockGroup.getObject(%a);
			if((strLwr(%datablock.getClassName()) !$= strLwr("itemData") && strLwr(%datablock.getClassName()) !$= "weapon") || %datablock.uiName $= "")
			{
				continue;
			}
			if(%datablock == TezRPBatonItem.getID())
			{
				continue;
			}
			%price = (isObject(%datablock.image) && isObject(%datablock.image.projectile)) ? mFloor(%datablock.image.projectile.directDamage) : 0;
			%price2 = (isObject(%datablock.image) && isObject(%datablock.image.projectile) && isObject(%datablock.image.projectile.explosion)) ? mFloor(%datablock.image.projectile.explosion.radiusDamage) : 0;
			messageClient(%client, '', "\c3" @ %datablock.uiName SPC "\c6- Price: \c3$" @ $TezRP::prices::addItemSpawn + (%price + %price2));
		}
		return;
	}

	if(%section $= "commands")
	{
		messageClient(%client, '', "\c6City RPG commands:");
		messageClient(%client, '', "\c6- \c3/help");
		messageClient(%client, '', "\c6- \c3/stats");
		messageClient(%client, '', "\c6- \c3/reset");
		messageClient(%client, '', "\c6- \c3/givemoney");
		messageClient(%client, '', "\c6- \c3/dropmoney");
		messageClient(%client, '', "\c6- \c3/clearrecord");
		messageClient(%client, '', "\c6- \c3/pardon");
		return;
	}
}
function serverCmdreset(%client,%args)
{
	if(TezRPData.getData(%client.bl_id).valueMoney - $TezRP::prices::reset < 0)
	{
		messageClient(%client, '', "\c6You need at least \c3$" @ $TezRP::prices::reset SPC "\c6to do that.");
		return;
	}
	messageClient(%client, '', "\c6Your account has been reset.");
	TezRPData.removeData(%client.bl_id);
	TezRPData.addData(%client.bl_id);
	%client.TezRP(1);
	if(isObject(%client.player))
	{
		%client.player.delete();
		%client.spawnPlayer();
	}
}
//New commands
function serverCmdpardon(%client,%args)
{
	if(%args $= "") 
	{
		messageClient(%client, '', "\c6You must enter a playername.");
		return;	
	}
	if(strlwr($TezRP::jobs::name[TezRPData.getData(%client.bl_id).valueJobID]) $= "Federal Agent" || strlwr($TezRP::jobs::name[TezRPData.getData(%client.bl_id).valueJobID]) $= "Federal Agent VIP" || %client.isSuperAdmin)
	{
		if(isObject(findclientbyname(%args)))
		{
			%target = findclientbyname(%args);
			if(getWord(TezRPData.getData(%target.bl_id).valueJailData, 1) > 0)
			{
				%cost = getword(TezRPData.getData(%target.bl_id).valueJailData,1) * 1000;
				
				if(%client.isSuperAdmin)
				{
					%cost = 0;
				
				}

				if(TezRPData.getData(%client.bl_id).valueMoney < %cost)
				{
					messageclient(%client,'',"\c6You do not have the \c3$" @ %cost SPC "\c6required to pardon that player.");
					return;
				}

				TezRPData.getData(%client.bl_id).valueMoney -= %cost; %client.TezRP(1);
				TezRPData.getData(%target.bl_id).valueJailData = setword(TezRPData.getData(%target.bl_id).valueJailData,1,"0");

				//messageClient(%target, '', "\c6You've been pardoned by\c3" SPC %client.name @ "\c6.");
				//messageClient(%client,'',"\c6You've pardoned\c3" SPC %target.name SPC "\c6for \c3$" @ %cost @ "\c6.");

				if(isObject(%target.player))
				{
					%target.player.delete();
					%target.spawnPlayer();
				}

				
				messageAll('',"\c3" @ %target.name SPC "\c6has been pardoned by \c3" @ %client.name @ "\c6.");

			} else {
				messageClient(%client,'',"\c6That name has no jail time to serve.");
			}
		} else {
			messageClient(%client,'',"\c6No player was found by that name.");
		}
	} else {
		messageClient(%client,'',"\c6You need to be a Federal Agent or Super Admin to pardon someone.");
	}
}
function serverCmdclearrecord(%client,%args)
{
		if(%args $= "") {
		messageClient(%client, '', "\c6You must enter a playername.");
		return;	
		}
	if(strlwr($TezRP::jobs::name[TezRPData.getData(%client.bl_id).valueJobID]) $= "Federal Agent" || strlwr($TezRP::jobs::name[TezRPData.getData(%client.bl_id).valueJobID]) $= "Federal Agent VIP" || %client.isSuperAdmin)
	{
		if(isObject(findclientbyname(%args)))
		{
			%target = findclientbyname(%args);
			if(getword(TezRPData.getData(%target.bl_id).valueJailData,0) > 0)
			{

				%RecordCost = 2000;

				if(%client.isSuperAdmin)
				{
					%Recordcost = 0;
				}				

				if(TezRPData.getData(%client.bl_id).valueMoney >= %RecordCost)
				{
					if(getword(TezRPData.getData(%target.bl_id).valueJailData,1) > 0)
					{
						messageclient(%c,'',"\c6That player has jail time to serve before you can clear their record.");

						%cost = getword(TezRPData.getData(%target.bl_id).valueJailData,1) * 200;

						messageclient(%c,'',"\c6It will cost you \c3$" @ %cost SPC "\c6to pardon \c3" @ %target.name @ "\c6.");
						return;
					}

					

					TezRPData.getData(%target.bl_id).valueJailData = setword(TezRPData.getData(%target.bl_id).valueJailData,0,"0");
					TezRPData.getData(%client.bl_id).valueMoney -= %RecordCost;

					//messageclient(%target,'',"\c6You've had your criminal record cleared by\c3" SPC %client.name @ "\c6.");
					//messageclient(%client,'',"\c6You've cleared the criminal record of\c3" SPC %target.name SPC "\c6for \c3$1200\c6.");
					
					messageAll('',"\c6The criminal record of\c3" SPC %target.name SPC "\c6has been cleared by\c3" SPC %client.name @ "\c6.");
					
					%client.TezRP(1);
				} else {
					messageclient(%client,'',"\c6You do not have the \c3$" @ %PardonCost @"\c6 required to clear their criminal record.");
				}
			} else {
				messageclient(%client,'',"\c6That player does not have a criminal record.");
			}
		} else {
			messageclient(%client,'',"\c6No player was found by that name.");
		}
	} else {
		messageclient(%client,'',"\c6You must be a Federal Agent or Super Admin to clear a criminal record.");
	}
}

function serverCmdclearDems(%client,%args)
{
	if(%args $= "") 
	{
		messageClient(%client, '', "\c6You must enter a playername.");
		return;	
	}

	if(strlwr($TezRP::jobs::name[TezRPData.getData(%client.bl_id).valueJobID]) $= "Federal Agent" || strlwr($TezRP::jobs::name[TezRPData.getData(%client.bl_id).valueJobID]) $= "Federal Agent VIP" || %client.isSuperAdmin)
	{
		if(isObject(findclientbyname(%args)))
		{
			%target = findclientbyname(%args);

			if(getword(TezRPData.getData(%target.bl_id).valueDemerits,0) > 0)
			{

				%DemsCost = 1000;

				if(%client.isSuperAdmin)
				{
					%DemsCost = 0;
				}				

				if(TezRPData.getData(%client.bl_id).valueMoney >= %DemsCost)
				{
					if(getword(TezRPData.getData(%target.bl_id).valueJailData,1) > 0)
					{
						messageclient(%c,'',"\c6That player has jail time to serve before you can clear their demerits.");

						messageclient(%c,'',"\c6It will cost you \c3$" @ %Demscost SPC "\c6to clear the demerits of \c3" @ %target.name @ "\c6.");

						return;
					}					

					TezRPData.getData(%target.bl_id).valueDemerits = 0;
					TezRPData.getData(%client.bl_id).valueMoney -= %DemsCost;

					messageAll('',"\c6The demerits of\c3" SPC %target.name SPC "\c6have been cleared by\c3" SPC %client.name @ "\c6.");
					
					%client.TezRP(1);
				} else {
					messageclient(%client,'',"\c6You do not have the \c3$" @ %DemsCost @"\c6 required to clear their demerits.");
				}
			} else {
				messageclient(%client,'',"\c6That player does not have demerits.");
			}
		} else {
			messageclient(%client,'',"\c6No player was found by that name.");
		}
	} else {
		messageclient(%client,'',"\c6You must be a Federal Agent or Super Admin to clear demerits.");
	}
}

function RPC_kill(%client, %args)
{
	if(strlwr($TezRP::jobs::name[TezRPData.getData(%client.bl_id).valueJobID]) $= "Federal Agent" || %client.isSuperAdmin) {
	%target = findclientbyname(%args);
	%ticks = getWord(TezRPData.getData(%target.bl_id).valueJailData, 1);
	
	if(isObject(%target.player) == false) {
		messageclient(%client,'',"\c4Player is already dead.");	
		return;	
	}
	
	if(%ticks > 0)
	{
		%money = (300 * %ticks + 600);	
	} else {
		%money = 600;	
	}
	
	if(%target $= "")
	{
		messageclient(%client,'',"\c6Unable to find player.");	
		return;
	}
		if(TezRPData.getData(%client.bl_id).valueMoney < %money)
		{
		messageclient(%client,'',"\c6You need $" @ %money SPC "to kill that player.");		
		} else {
		TezRPData.getData(%client.bl_id).valueMoney -= %money;
		%client.TezRP(1);
		%target.player.kill();
		if(%client.isAdmin == true)
		{
			%type = "admin";	
		} else {
			if(strlwr($TezRP::jobs::name[TezRPData.getData(%client.bl_id).valueJobID]) $= "Federal Agent") {
				%type = "Federal Agent";	
			}
		}
		messageAll('', '\c6%1 was terminated by Federal Agent %3 %2.', %target.name, %client.name, %type);	
		messageclient(%client,'','That kill cost you $%1', %money);
		}	
	} else {
		messageclient(%client,'',"\c4You must be a Federal Agent or Super Admin to use that command.");		
	}		
}

function serverCmdforcejail(%client, %args) 
{
	//if(strlwr($TezRP::jobs::name[TezRPData.getData(%client.bl_id).valueJobID]) $= "mayor" || %client.isHost)

	if(!%client.isHost)
	{
		messageclient(%client,'',"\c6Only the host use that command.");
		return;
	}

	if(TezRPData.getData(%target.bl_id).valueJailData == 1)
	{
		messageclient(%client,'',"\c6That person is already in jail.");
		return;
	}

	%user = getWord(%args, 0);
	%target = findclientbyname(%user);
	%ticks = getWord(%args, 1);

	if(%ticks > 2) 
	{
		%ticks = 2;	
	}

	//%money = (1000 * %ticks);

	if(%target == 0)
	{
		messageclient(%client,'',"\c6Unable to find player.");	
		return;
	}

	//	if(TezRPData.getData(%client.bl_id).valueMoney < %money)
	//	{
	//	messageclient(%client,'',"\c6You need $" @ %money SPC "to jail that player.");		
	//	} else {

		TezRPData.getData(%target.bl_id).valueJailData = 1 SPC %ticks;
		TezRPData.getData(%this.bl_id).valueDemerits = 0;

		%this.player.delete();
                %this.spawnPlayer();

	//	messageclient(%client,'','That jail cost you $%1', %money);
	//	TezRPData.getData(%client.bl_id).valueMoney -= %money;

		%target.TezRP(4, %client, %ticks);
		%client.TezRP(1);
	//	}
	//} 	
}

function serverCmdremovebountys(%client)
{
	if(%client.isHost)
	{
		for(%a = 1; %a <= TezRPData.dataCount; %a++)
		{
			for(%a = 1; %a <= TezRPData.dataCount; %a++)
			{
				if(TezRPData.data[%a].valueBounty >= 1)
				{
					TezRPData.data[%a].valueBounty = 0;
				}
			}
		
			TezRP(1);

			messageAll('', '\c2%1 \c6removed all bounties.', %client.name);	
		}
	
	}
}

function serverCmdresetallmoney(%client, %bonus)
{
	if(%client.isHost)
	{
		for(%a = 1; %a <= TezRPData.dataCount; %a++)
		{
			TezRPData.data[%a].valueMoney = 100;
			TezRPData.data[%a].valueBankData = "0 0 0";

			if(%bonus != 0) 
			{
				TezRPData.data[%a].valueMoney += %bonus;
			}
		}

		if(%bonus != 0) 
		{
			messageAll('', '%1 has reset all players money. Plus a $%2 bonus.', %client.name, %bonus);
			TezRP(2);
		} 

		else 
		{
			messageAll('', '%1 has reset all players money.', %client.name);
			TezRP(2);
		}
	}
}

function serverCmdmakewish(%client, %args)
{
	if(%client.hasMadeAWish == false)
	{
	%client.hasMadeAWish = true;
	%logo = "<Bitmap:add-ons/TezMods_CityRP/wish>";
	messageall('', '%2 \c3%1 has made a wish, check the wishing well.', %client.name, %logo);	
	} else {
	messageclient(%client,'',"\c6You already made a wish. You must wait for the next tick.");	
	}
}

function serverCmdResetUser(%client, %args)
{
        if(%client.isSuperAdmin)
        {
                if(getWords(%args, 0, getWordCount(%args) - 1) !$= "")
                {
                        %target = findClientByName(getWords(%args, 0, getWordCount(%args) - 1));
                }
                else
                {
                        messageClient(%client, '' , "\c6Please enter a name.");        
                        return 1;
                }
                
                if(!isObject(%target))
                {
                        messageClient(%client, '', "\c6That person does not exist.");
                        return 1;
                }
                        
                
                //messageClient(%target, '', "\c6Your account was reset by an admin.");
                messageClient(%client, '', "\c3" @ %target.name @ "\c6's account was reset by an admin.");
                
                TezRPData.removeData(%target.bl_id);
                TezRPData.addData(%target.bl_id);
                %client.TezRP(1);
                if(isObject(%target.player))
                {
                        %target.player.delete();
                        %target.spawnPlayer();
                }
        }
        
        return 1;        
}

function serverCmdPassTime(%client, %args)
{
        if(!%client.isSuperAdmin)
        {
                messageClient(%client, '', "\c6You must be super admin to use the this command.");
                        
                        return 1;
        }
        
        TezRP(2);
        
        messageAll('', "\c3" @ %client.name SPC "\c6has forced \c31\c6 tick to pass.");
        
        return 1;
}

function serverCmdNoDems(%client)
{
	if(%client.isHost)
	{
		if(TezRPData.getData(%client.bl_id).valueDemerits > 0)
		{
			TezRPData.getData(%client.bl_id).valueDemerits = 0;
			messageClient(%client, '', "\c6You now have \c2no \c6demerits.");
			
			if(!%client.isSuperAdmin)
				messageClient(%client, '', "\c6Only super admins may use this command.");
		}
		else
			messageClient(%client, '', "You have no demerits to clear.");
	}
}

//function serverCmdResetAllUsers(%client)
//{
//	if(%client.isSuperAdmin)
//	{
//		for(%a = 1; %a <= TezRPData.dataCount; %a++)
//		{
//		TezRPData.removeData(%target.bl_id);
//                TezRPData.addData(%target.bl_id);
//                %client.TezRP(1);
//                if(isObject(%target.player))
//                {
//                        %target.player.delete();
//                        %target.spawnPlayer();
//                }					
//		messageAll('', '%1 has reset all player accounts.', %client.name);
//		TezRP(2);
//		}
//	}
//}

function serverCmdSellLumber(%client)
{
	if(TezRPData.getData(%client.bl_id).valueLumber > 0)
	{				
		%totalLumber = TezRPData.getData(%client.bl_id).valueLumber;
	
		if(mFloor(%totalLumber * $TezRP::prices::LumberPrice) > 0)
		{				
			%product = mFloor(%totalLumber * $TezRP::prices::LumberPrice);
			%product *= getRandom(1.0, 3.0);
			%product = mFloor(%product);					

			TezRPData.getData(%client.bl_id).valueMoney += %product;
			TezRPData.getData(%client.bl_id).valueLumber = 0;

			messageClient(%client, '', "\c6The city bought all of your lumber for \c3$" @ %product @ "\c6.");
			
			%client.TezRp(1);
		}
	}
}

function serverCmdJets(%this)
{
	if(%this.isSuperAdmin)
	{
		messageClient(%this, '', "\c6Jets \c2ON");
		%this.player.setDatablock(PlayerStandardArmor);
	}
}