//Minigame Events

unregisterOutputEvent("Minigame","BottomPrintAll");
unregisterOutputEvent("Minigame","CenterPrintAll");
unregisterOutputEvent("Minigame","ChatMsgAll");
unregisterOutputEvent("Minigame","playSound");
unregisterOutputEvent("Minigame","Reset");
unregisterOutputEvent("Minigame","Respawnall");

//Player Events

unregisterOutputEvent("Player","AddOxygen");
unregisterOutputEvent("Player","AddHealth");
unregisterOutputEvent("Player","AddVelocity");
unregisterOutputEvent("Player","SetVelocity");
unregisterOutputEvent("Player","SetInventory");
unregisterOutputEvent("Player","SetHealth");
unregisterOutputEvent("Player","SetOxygen");
unregisterOutputEvent("Player","HealLoop");
unregisterOutputEvent("Player","SetPlayerScale");
unregisterOutputEvent("Player","Kill");
unregisterOutputEvent("Player","BurnLoop");
unregisterOutputEvent("Player","SetWeapon");

package EventSafety
{
	// fxDTSBrick Events
	function fxDTSBrick::spawnExplosion(%this, %explosion, %scale, %client)
	{
		if(!%client.isAdmin)
		{
			if(!isObject(%client))
				parent::spawnExplosion(%this, %explosion, %scale, %client);
		}
	}
	
	function fxDTSBrick::spawnProjectile(%this, %dir, %proj, %rand, %scale, %client)
	{
		if(!%client.isAdmin)
		{
			if(!isObject(%client))
				parent::spawnProjectile(%this, %dir, %proj, %rand, %scale, %client);
		}
	}
	
	// Player Events
	function Player::addHealth(%this, %aug, %client)
	{
		if(!isObject(%client))
			parent::addHealth(%this, %aug, %client);
	}
	
	function Player::addVelocity(%this, %vel, %client)
	{
		if(!isObject(%client))
			parent::addVelocity(%this, %vel, %client);
	}
	
	function Player::changeDatablock(%this, %db, %client)
	{
		if(!isObject(%client))
			parent::changeDatablock(%this, %db, %client);
	}
	
	function Player::clearTools(%this, %client)
	{
		if(!isObject(%client))
			parent::clearTools(%this, %client);
	}
	
	function Player::kill(%this, %client)
	{
		if(!isObject(%client))
			parent::kill(%this, %client);
	}
	
	function Player::setHealth(%this, %hp, %client)
	{
		if(!isObject(%client))
			parent::setHealth(%this, %hp, %client);
	}
	
	function Player::spawnExplosion(%this, %explosion, %scale, %client)
	{
		if(!%client.isAdmin)
		{
			if(!isObject(%client))
				parent::spawnExplosion(%this, %explosion, %scale, %client);
		}
	}
	
	function Player::spawnProjectile(%this, %dir, %proj, %rand, %scale, %client)
	{
		if(!%client.isAdmin)
		{
			if(!isObject(%client))
				parent::spawnProjectile(%this, %dir, %proj, %rand, %scale, %client);
		}
	}
	
	// AIPlayer Events
	function AIPlayer::setPlayerScale(%this, %scale, %client)
	{
		if(!isObject(%client))
			parent::setPlayerScale(%this, %scale, %client);
	}
	
	// gameConnection Events
	function gameConnection::incScore(%client, %aug, %eventActivator)
	{
		if(!isObject(%eventActivator))
			parent::incScore(%client, %aug, %eventActivator);
	}
	
	function gameConnection::instantRespawn(%client, %eventActivator)
	{
		if(!isObject(%eventActivator))
			parent::instantRespawn(%client, %eventActivator);
	}
};
activatePackage(EventSafety);


//Selling Items

