///////////////////////////////////////////////////////////////////////////////
//LockPick Model from Diggy's Metropolis RP, script from McTwist's RP Crime///
/////////////////////////////////////////////////////////////////////////////


datablock ProjectileData(LockPickProjectile : hammerProjectile)
{
	//projectileShapeName = "add-ons/Weapon_Bow/arrow.dts";
	directDamage = 0;
	lifeTime = 100;
	explodeOnDeath = false;
};

datablock ItemData(LockPickItem : hammerItem)
{
	shapeFile = "./LockPick.dts";
	category = "Weapon";
	className = "Weapon";
	uiName = "Lock Pick";
	canDrop = true;
	TezRPCanSpawn = false;
	image = LockPickImage;
	doColorShift = true;
	colorShiftColor = "0.600000 0.000000 0.000000 1.000000";
};

datablock ShapeBaseImageData(LockPickImage : hammerImage)
{
	shapeFile = "./LockPick.dts";
	className = "WeaponImage";
	//rotation = "0 1 0 180";
	item = LockPickItem;
	projectile = LockPickProjectile;
	projectileType = Projectile;
	//colorShiftColor = "0.600000 0.000000 0.000000 1.000000";
};

///////////////////////////////////
//// >> LockPick Functions << ////
//////////////////////////////////

//function LockPickImage::onPreFire(%this, %obj, %slot)
//{
//	%obj.playthread(2, armattack);
//}

function LockPickImage::onFire(%datablock, %obj, %slot)
{
	parent::onFire(%datablock, %obj, %slot);
	
	%obj.playThread(2, "armAttack");
}

function LockPickImage::onStopFire(%datablock, %obj, %slot)
{
	%obj.playThread(2, "root");
}