///////////////////////////////
//Code Credits = See Cash.cs//
/////////////////////////////
$Server::AllowLumberDrop = true;

function serverCmdMegaLumber(%client, %amt)
{
	if(%client.isSuperAdmin == false)
	return;
	
	if(!%amt)
	return;
	
	%Wood = new Item()
	{
		datablock = nametoid("dropWoodItem");
		canPickup = false;
		value = %amt;
	};
	%Wood.setScale("6 6 6");
	%Wood.setShapeNameColor("0 0 0 0");
	%Wood.setShapeNameDistance(1000);
	%Wood.setTransform(setWord(%client.player.getTransform(), 2, getWord(%client.player.getTransform(), 2) + 50));
	%Wood.setVelocity(VectorAdd(%client.player.getVelocity(),VectorScale(%client.player.getEyeVector(), 20)));
	MissionCleanup.add(%Wood);
	%Wood.setShapeName(%Wood.value);	
}

function serverCmdRainLumber(%client)
{
	
	if(%client.isSuperAdmin == false)
	return;
	
	if($Server::AllowLumberDrop == false) {
	messageClient(%client, '', "\c6It's already raining Lumber!");
	return;
	}
	
	messageAll('', '\c6%1\c3 made it rain Lumber!', %client.name);
	for(%i=0; %i < 50; %i++) {
	%Wood = new Item()
	{
		datablock = nametoid("dropWoodItem");
		canPickup = false;
		value = getRandom(5,20);
	};
	%Wood.setScale("1 1 1");
	%Wood.setShapeNameColor("0 0 0 0");
	%Wood.setShapeNameDistance(1000);
	%pos = %client.player.getTransform();
	
	%Wood.setTransform(getWord(%pos, 0) + getRandom(-100, 100) SPC getWord(%pos, 1) + getRandom(-100, 100) SPC getWord(%pos, 2) + getRandom(200, 700));
	MissionCleanup.add(%Wood);
	%Wood.setShapeName(%Wood.value);
   		%Wood.schedule(60000, "delete");
   		
	}
	$Server::AllowLumberDrop = false;
	schedule(60000, 0, allowLumberDrop);		
}

function allowLumberDrop()
{
	$Server::AllowLumberDrop = true;	
}


function fadeLumberPlz(%id)
{
	for(%i=0; %i <59; %i++) {
		%id.schedule(%i*1000, "setShapeNameColor", "1 1 1" SPC 1 - 0.2);
		%id.setShapeNameColor("0 0 0 0");		
	}	
}

function servercmdDropLumber(%client, %amt)
{
	if(%amt < 1 || TezRPData.getData(%client.bl_id).valueLumber < %amt)
	{
		messageclient(%client,'',"\c6Please enter a valid amount of lumber to drop.");
		return;
	}
	//if(%amt > 10000)
	//{
	//	%amt = 10000;
	//}
	%Wood = new Item()
	{
		datablock = nametoid("dropWoodItem");
		canPickup = false;
		value = %amt;
	};
	%Wood.setScale("1 1 1");
	%Wood.setShapeNameColor("0 0 0 0");
	%Wood.setShapeNameDistance(1000);
	TezRPData.getData(%client.bl_id).valueLumber -= %amt;
	%Wood.setTransform(setWord(%client.player.getTransform(), 2, getWord(%client.player.getTransform(), 2) + 2));
	%Wood.setVelocity(VectorAdd(%client.player.getVelocity(),VectorScale(%client.player.getEyeVector(), 10)));
	MissionCleanup.add(%Wood);
	%Wood.setShapeName(%Wood.value);
	%client.TezRP(1);
}

package WoodPackage
{	

	function gameConnection::onDeath(%client,%killerPlayer,%killer,%damageType,%unknownA)
	{
			if(TezRPData.getData(%client.bl_id).valueLumber > 0)
			{
				%Wood = new Item()
				{
					datablock = nametoid("dropWoodItem");
					canPickup = false;
					value = mFloor(TezRPData.getData(%client.bl_id).valueLumber);
				};
				%Wood.setScale("1 1 1");
				%Wood.setShapeNameColor("0 0 0 1");
				%Wood.setShapeNameDistance(1000);
				%Wood.setTransform(setWord(%client.player.getTransform(), 2, getWord(%client.player.getTransform(), 2) + 2));
				%Wood.setVelocity(VectorAdd(%client.player.getVelocity(),VectorScale(%client.player.getEyeVector(), 10)));
				MissionCleanup.add(%Wood);
				%Wood.setShapeName(%Wood.value);
				TezRPData.getData(%client.bl_id).valueLumber -= %Wood.value;
				messageClient(%obj.client, '', "\c6You have lost\c3" SPC "$" @ %Wood.value @ "\c6.");
				%client.TezRP(1);
			}
		Parent::onDeath(%client,%killerPlayer,%killer,%damageType,%unknownA);
	}
	
	function Armor::onCollision(%this,%obj,%col,%thing,%other)
	{
		if(%col.getDatablock().getName() $= "dropWooditem")
		{
			if(isObject(%obj.client))
			{
				if(isObject(%col))
				{
					TezRPData.getData(%obj.client.bl_id).valueLumber += %col.value;
					messageClient(%obj.client, '', "\c6You picked up\c3" SPC "" @ %col.value @ "\c6 lumber.");
					%col.canPickup = false;
					%col.delete();
					%obj.client.TezRP(1);
					return;
				} else {
					%col.delete();
					MissionCleanup.remove(%col);
				}
			}
		} else {
			Parent::onCollision(%this,%obj,%col,%thing,%other);
		}
	}
};
ActivatePackage(WoodPackage);

datablock ItemData(dropWoodItem)
{
	category = "Weapon";
	className = "Weapon";
	
	shapeFile = "./LumberItem.dts";
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;
	
	doColorShift = false;
	colorShiftColor = "0 0.5 0 1";
	image = dropWoodImage;
	candrop = true;
	canPickup = false;
};

datablock ShapeBaseImageData(dropWoodImage)
{
	shapeFile = "./LumberItem.dts";
	emap = true;
	
	doColorShift = false;
	colorShiftColor = dropWoodItem.colorshiftcolor;
	canPickup = false;
};