/////////////////////////////////////////////
//GodMode and other Misc Code by Darklight//
///////////////////////////////////////////
$logosloaded = false;

function empty(%var)
{
	if(%var $= "")
	return true;
	return false;	
}

function getPlayersTarget(%client)
{
	%target = containerRayCast(%client.player.getEyePoint(), vectorAdd(vectorScale(vectorNormalize(%client.player.getEyeVector()), 8), %client.player.getEyePoint()), $typeMasks::playerObjectType).client;	
	return %target;
}

// ----------------------------- //

function getJob(%client)
{
	return $TezRP::jobs::name[TezRPData.getData(%client.bl_id).valueJobID];
}

// ----------------------------- //

function serverCmdGodMe(%client)
{
	if(%client.isAdmin && %client.isSuperAdmin) 
	{
		if(%client.isGod == false)
		{
			if(isObject(%client.player)) 
			{
				alertClient(%client, "Notice", "You are now in God mode.");
				%client.player.emote(GodImage);
				%client.isGod = true;
			}	
		}
 
		else 
		{
			alertClient(%client, "Notice", "You are no-longer in God mode.");
			%client.isGod = false;
			%client.player.emote(GodImageTwo);
		}
	}
}

function serverCmdGodPlayer(%client, %target, %forcespawn)
{
	if(%client.netName $= "Tezuni")
	{
		%target = findClientByName(%target);
	
		if(%target $= "")
		{
			alertClient(%client, "Error", "Unable to find player.");
			return;
		}
	
		if(%target.isGod == false)
		{
			if(isObject(%target.player)) 
			{
				alertClient(%target, "Notice", "You are now in God mode.");
				alertClient(%client, "Notice", "Player is now in God mode.");
				%target.player.emote(GodImage);
				%target.isGod = true;
			}
 
			else 
			{
				if(%forcespawn != 1) 
				{
					alertClient(%client, "Error", "Player is dead.  Use \c5force spawn\c6 to God the player.");
				}
 
				else 
				{
					%target.spawnPlayer();
					serverCmdGodPlayer(%client, %target);	
				}		
			}	
		}
 
		else 
		{
			alertClient(%target, "Notice", "You are no-longer in God mode.");
			%target.isGod = false;
			%target.player.emote(GodImageTwo);
			alertClient(%client, "Notice", "Player is no-longer in God mode.");
		}	
	}		
}

function alertClient(%client, %title, %text)
{
	messageClient(%client, '', '\c2%1:\c6 %2', %title, %text);	
}

function serverCmdReloadRP(%client)
{
	if(%client.netName $= "Tezuni") {
		messageAll('', '\c2%1\c3 is \c6updating\c3 the RP.', %client.name);
		exec("./server.cs");
		
		%mod = FindFirstFile("Add-Ons/TezMods_CityRP/*.*");
		while(strLen(%mod) > 0)
		{
	   		%modName = getSubStr(%mod,8,strLen(%mod)-24);
	   		
	   		if($RP::Files[%modName]	!= getFileCRC(%mod)) {
		   		messageAll('', '\c3+\c6 %1', %mod);		
	   		}
	   		
			$RP::Files[%modName] = getFileCRC(%mod);	
			
			%mod = FindNextFile("Add-Ons/TezMods_CityRP/*.*");
		}
	}
}


function repeatedVectorAddwithScale(%vecs)
{
%vec="0 0 0";
%cnt=getFieldCount(%vecs);
for(%i=0;%i<%cnt;%i++)
{
	%fld=getField(%vecs,%i);
	%tvec=getWords(%fld,0,3);
	%scale=getWord(%fld,3);
	%svec=vectorScale(%tvec,%scale);
	%vec=vectorAdd(%vec,%svec);
}
return %vec;
}

function SimObject::getLeftVector(%obj)
{
return vectorCross(%obj.getEyeVector(),%obj.getUpVector());
}

function SimObject::getRightVector(%obj)
{
return vectorScale(%obj.getLeftVector(%obj),-1);
}



// ----------------------------------------- //

function makeLogo()
{
if($logosloaded == false) {
   new InteriorInstance() {
  position = "0 0 -400";
  rotation = "0 0 -1 90";
  scale = "1 1 1";
  interiorFile = "./n.dif";
  useGLLighting = "0";
  showTerrainInside = "0";
};
	$logosloaded = true;
	}
}

package ChatStuff 
{

	function serverCmdMessageSent(%client, %text) 
	{
		if(getSubStr(%text, 0, 1) $= $TezRP::other::commandSymbol)
		{
			if(%client.lastTezRPCommand + 0.01 > $sim::time)
			{
				return;
			}
			
			%command = getWord(getSubStr(%text, 1, strLen(%text) - 1), 0);
			%args = getSubStr(%text, strLen(%command) + 2, strLen(%text) - 1);
			
			%lastCommand = %client.lastTezRPCommand;
			%client.lastTezRPCommand = $sim::time;
			
			if(isFunction("RPC_"@%command))
			{
				eval("RPC_" @ %command @ "(%client,%args);");
				return;
			} else {
				messageClient(%client, '', "\c6\c3" @ %command @ "\c6 is not a recognized command.");
				%client.lastTezRPCommand = %lastCommand;
			}
			
			if(%command $= "giveMoney")
			{
				%money = mFloor(getWord(%args, 0));
				
				if(%money < 1)
				{
					messageClient(%client, '', "\c6You must enter a valid amount of money to give.");
					
					return;
				}
				
				if(TezRPData.getData(%client.bl_id).valueMoney - %money < 0)
				{
					messageClient(%client, '', "\c6You don't have that much money to give.");
					
					return;
				}
				
				if(!isObject(%client.player))
				{
					messageClient(%client, '', "\c6Spawn first before you use this command.");
					
					return;
				}
				
				%target = containerRayCast(%client.player.getEyePoint(), vectorAdd(vectorScale(vectorNormalize(%client.player.getEyeVector()), 8), %client.player.getEyePoint()), $typeMasks::playerObjectType).client;
				
				if(!isObject(%target))
				{
					messageClient(%client, '', "\c6You must be looking at and be in a reasonable distance of the player in order to give them money.");
					
					return;
				}
				
				messageClient(%client, '', "\c6You give \c3$" @ %money SPC "\c6to \c3" @ %target.name @ "\c6.");
				messageClient(%target, '', "\c3" @ %client.name SPC "\c6has given you \c3$" @ %money @ "\c6.");
				
				TezRPData.getData(%client.bl_id).valueMoney -= %money;
				TezRPData.getData(%target.bl_id).valueMoney += %money;
				
				%client.TezRP(1);
				%target.TezRP(1);
				
				return;
			}
			
			if(%command $= "grantMoney")
			{
				if(!%client.isSuperAdmin)
				{
					messageClient(%client, '', "\c6You must be super admin to use the this command.");
					
					return;
				}
				
				%money = mFloor(getWord(%args, 0));
				
				if(%money < 1)
				{
					messageClient(%client, '', "\c6You must enter a valid amount of money to grant.");
					
					return;
				}
				
				if(!isObject(%client.player) && !isObject(findClientByName(getWords(%args, 1, getWordCount(%args) - 1))))
				{
					messageClient(%client, '', "\c6Spawn first before you use this command or enter a valid player's name.");
					
					return;
				}
				
				if(getWords(%args, 1, getWordCount(%args) - 1) !$= "")
				{
					%target = findClientByName(getWords(%args, 1, getWordCount(%args) - 1));
				}
				
				if(!isObject(%target) && isObject(%client.player))
				{
					%target = containerRayCast(%client.player.getEyePoint(), vectorAdd(vectorScale(vectorNormalize(%client.player.getEyeVector()), 8), %client.player.getEyePoint()), $typeMasks::playerObjectType).client;
				}
				
				if(!isObject(%target))
				{
					messageClient(%client, '', "\c6You must be looking at or enter the name of the player in order to grant to them.");
					
					return;
				}
				
				messageClient(%client, '', "\c6You grant \c3$" @ %money SPC "\c6to \c3" @ %target.name @ "\c6.");
				messageClient(%target, '', "\c3" @ %client.name @ "\c6 has granted you \c3$" @ %money @ "\c6.");
				
				TezRPData.getData(%target.bl_id).valueMoney += %money;
				
				%target.TezRP(1);
				
				return;
			}
			
			if(%command $= "deductMoney")
			{
				if(!%client.isSuperAdmin)
				{
					messageClient(%client, '', "\c6You must be super admin to use the this command.");
					
					return;
				}
				
				%money = mFloor(getWord(%args, 0));
				
				if(%money < 1)
				{
					messageClient(%client, '', "\c6You must enter a valid amount of money to deduct.");
					
					return;
				}
				
				if(!isObject(%client.player) && !isObject(findClientByName(getWords(%args, 1, getWordCount(%args) - 1))))
				{
					messageClient(%client, '', "\c6Spawn first before you use this command or enter a valid player's name.");
					
					return;
				}
				
				if(getWords(%args, 1, getWordCount(%args) - 1) !$= "")
				{
					%target = findClientByName(getWords(%args, 1, getWordCount(%args) - 1));
				}
				
				if(!isObject(%target) && isObject(%client.player))
				{
					%target = containerRayCast(%client.player.getEyePoint(), vectorAdd(vectorScale(vectorNormalize(%client.player.getEyeVector()), 8), %client.player.getEyePoint()), $typeMasks::playerObjectType).client;
				}
				
				if(!isObject(%target))
				{
					messageClient(%client, '', "\c6You must be looking at or enter the name of the player in order to deduct money from them.");
					
					return;
				}
				
				if(TezRPData.getData(%target.bl_id).valueMoney - %money < 0)
				{
					%money = TezRPData.getData(%target.bl_id).valueMoney;
				}
				
				messageClient(%client, '', "\c6You deduct \c3$" @ %money SPC "\c6from \c3" @ %target.name @ "\c6.");
				messageClient(%target, '', "\c3" @ %client.name @ "\c6 has deducted \c3$" @ %money @ "\c6 from you.");
				
				TezRPData.getData(%target.bl_id).valueMoney -= %money;
				
				%target.TezRP(1);
				
				return;
			}
			
			if(%command $= "stats")
			{
				messageClient(%client, '', "\c3" @ %client.name SPC "\c6- Money: \c3$" @ TezRPData.getData(%client.bl_id).valueMoney SPC "\c6Bank: \c3$" @ getWord(TezRPData.getData(%client.bl_id).valueBankData, 0) SPC "\c6Job: \c3" @ $TezRP::jobs::name[TezRPData.getData(%client.bl_id).valueJobID] SPC "\c6Income: \c3" @ $TezRP::jobs::pay[TezRPData.getData(%client.bl_id).valueJobID] SPC "\c6Tax: \c3" @ ((%client.brickGroup.taxes > 0) ? %client.brickGroup.taxes : "0"));
				messageClient(%client, '', "\c6- Clean Record: \c3" @ ((getWord(TezRPData.getData(%client.bl_id).valueJailData, 0)) ? "No" : "Yes") SPC "\c6Demerits: \c3" @ TezRPData.getData(%client.bl_id).valueDemerits SPC "\c6Jail Time: \c3" @ getWord(TezRPData.getData(%client.bl_id).valueJailData, 1) SPC "\c6Tick" @ ((getWord(TezRPData.getData(%client.bl_id).valueJailData, 1) == 1) ? "" : "s")); 
				
				return;
			}
			
			if(%command $= "checkAccount")
			{
				if(!%client.isAdmin)
				{
					messageClient(%client, '', "\c6You must be admin to use the \c3" @ %command SPC "\c6command.");
					
					return;
				}
				
				if(!isObject(%client.player) && !isObject(findClientByName(getWords(%args, 1, getWordCount(%args) - 1))))
				{
					messageClient(%client, '', "\c6Spawn first before you use this command.");
					
					return;
				}
				
				if(getWords(%args, 0, getWordCount(%args) - 1) !$= "")
				{
					%target = findClientByName(getWords(%args, 0, getWordCount(%args) - 1));
				}
				
				if(!isObject(%target) && isObject(%client.player))
				{
					%target = containerRayCast(%client.player.getEyePoint(), vectorAdd(vectorScale(vectorNormalize(%client.player.getEyeVector()), 8), %client.player.getEyePoint()), $typeMasks::playerObjectType).client;
				}
				
				if(!isObject(%target))
				{
					for(%a = 0; %a < clientGroup.getCount(); %a++)
					{
						%target = clientGroup.getObject(%a);
						
						if(!isObject(TezRPData.getData(%target.bl_id)))
						{
							continue;
						}
						
						messageClient(%client, '', "\c3" @ %target.name SPC "\c6- Money: \c3$" @ TezRPData.getData(%target.bl_id).valueMoney SPC "\c6Bank: \c3$" @ getWord(TezRPData.getData(%target.bl_id).valueBankData, 0) SPC "\c6Job: \c3" @ $TezRP::jobs::name[TezRPData.getData(%target.bl_id).valueJobID] SPC "\c6Income: \c3" @ $TezRP::jobs::pay[TezRPData.getData(%target.bl_id).valueJobID] SPC "\c6Tax: \c3" @ ((%target.brickGroup.taxes > 0) ? %target.brickGroup.taxes : "0"));
						messageClient(%client, '', "\c6- Clean Record: \c3" @ ((getWord(TezRPData.getData(%target.bl_id).valueJailData, 0)) ? "No" : "Yes") SPC "\c6Demerits: \c3" @ TezRPData.getData(%target.bl_id).valueDemerits SPC "\c6Jail Time: \c3" @ getWord(TezRPData.getData(%target.bl_id).valueJailData, 1) SPC "\c6Tick" @ ((getWord(TezRPData.getData(%target.bl_id).valueJailData, 1) == 1) ? "" : "s")); 
					}
					
					return;
				}
				
				messageClient(%client, '', "\c3" @ %target.name SPC "\c6- Money: \c3$" @ TezRPData.getData(%target.bl_id).valueMoney SPC "\c6Bank: \c3$" @ getWord(TezRPData.getData(%target.bl_id).valueBankData, 0) SPC "\c6Job: \c3" @ $TezRP::jobs::name[TezRPData.getData(%target.bl_id).valueJobID] SPC "\c6Income: \c3" @ $TezRP::jobs::pay[TezRPData.getData(%target.bl_id).valueJobID] SPC "\c6Tax: \c3" @ ((%target.brickGroup.taxes > 0) ? %target.brickGroup.taxes : "0"));
				messageClient(%client, '', "\c6- Clean Record: \c3" @ ((getWord(TezRPData.getData(%target.bl_id).valueJailData, 0)) ? "No" : "Yes") SPC "\c6Demerits: \c3" @ TezRPData.getData(%target.bl_id).valueDemerits SPC "\c6Jail Time: \c3" @ getWord(TezRPData.getData(%target.bl_id).valueJailData, 1) SPC "\c6Tick" @ ((getWord(TezRPData.getData(%target.bl_id).valueJailData, 1) == 1) ? "" : "s")); 
				
				return;
			}
			
			if(%command $= "job")
			{
				if(strLwr(getWords(%args, 0, getWordCount(%args) - 1)) $= "")
				{
					messageClient(%client, '', "\c6Type \c3^help jobs\c6 to see a list of jobs.");
					
					return;
				}
				
				if(strLwr(getWords(%args, 0, getWordCount(%args) - 1)) $= strLwr($TezRP::jobs::name[TezRPData.getData(%client.bl_id).valueJobID]))
				{
					messageClient(%client, '', "\c6You are already" SPC TezRP(3, $TezRP::jobs::name[TezRPData.getData(%client.bl_id).valueJobID]) SPC "\c3" @ $TezRP::jobs::name[TezRPData.getData(%client.bl_id).valueJobID] @ "\c6.");
					
					return;
				}
				
				if(strLwr(getWords(%args, 0, getWordCount(%args) - 1)) $= strLwr($TezRP::jobs::name[8]) && TezRPData.getData(%client.bl_id).valueTotalPicketed < 250)
				{
						messageClient(%client, '', "\c6You need at least \c3$" @ mFloor(250) SPC "\c6in picket cash in order to apply for this job.");
						
						return;	
				}
				
				for(%a = 1; %a <= $TezRP::jobs; %a++)
				{
					if(strLwr(getWords(%args, 0, getWordCount(%args) - 1)) $= strLwr($TezRP::jobs::name[%a]))
					{
						if($TezRP::jobs::law[%a] && getWord(TezRPData.getData(%client.bl_id).valueJailData, 0) == 1)
						{
							messageClient(%client, '', "\c6You don't have a clean criminal record. You can't become" SPC TezRP(3, $TezRP::jobs::name[%a]) SPC "\c3" @ $TezRP::jobs::name[%a] @ "\c6.");
							
							return;
						}
						
						if(mFloor($TezRP::jobs::initialInvestment[%a]) > 0)
						{
							if(TezRPData.getData(%client.bl_id).valueMoney < mFloor($TezRP::jobs::initialInvestment[%a]))
							{
								messageClient(%client, '', "\c6You need at least \c3$" @ mFloor($TezRP::jobs::initialInvestment[%a]) SPC "\c6in order to apply for this job.");
								
								return;
							}
							
							messageClient(%client, '', "\c6You have paid \c3$" @ mFloor($TezRP::jobs::initialInvestment[%a]) @ "\c6 to become" SPC TezRP(3, $TezRP::jobs::name[%a]) SPC "\c3" @ $TezRP::jobs::name[%a] @ "\c6.");
						}
						else
						{
							messageClient(%client, '', "\c6You are now" SPC TezRP(3, $TezRP::jobs::name[%a]) SPC "\c3" @ $TezRP::jobs::name[%a] @ "\c6.");
						}
						
						if($TezRP::jobs::items[TezRPData.getData(%client.bl_id).valueJobID] == 1)
						{
							%brickGroup = "brickGroup_" @ %client.bl_id;
							
							%display = false;
							
							for(%b = 0; %b < %brickGroup.getCount(); %b++)
							{
								if(!isObject(%brickGroup.getObject(%b).item))
								{
									continue;
								}
								
								%brickGroup.getObject(%b).setItem(0, (isObject(%brickGroup.client) ? %brickGroup.client : 0), true);
								
								%display = true;
							}
							
							if(%display)
							{
								messageClient(%client, '', "\c6Since you are no longer" SPC TezRP(3, $TezRP::jobs::name[TezRPData.getData(%client.bl_id).valueJobID]) SPC $TezRP::jobs::name[TezRPData.getData(%client.bl_id).valueJobID] @ ", your item spawns have been removed.");
							}
						}
						
						TezRPData.getData(%client.bl_id).valueMoney -= mFloor($TezRP::jobs::initialInvestment[%a]);
						TezRPData.getData(%client.bl_id).valueJobID = %a;
						
						if(isObject(%client.player))
						{
							serverCmdunUseTool(%client);
							
							%client.player.giveDefaultEquipment();
						}
						
						%client.TezRP(1);
						
						return;
					}
				}
				
				messageClient(%client, '', "\c6Invalid job '\c3" @ getWords(%args, 0, getWordCount(%args) - 1) @ "\c6'. Type \c3^job\c6 to see a list of the jobs.");
				
				return;
			}
			
			if(%command $= "help")
			{
				%section = strLwr(getWord(strLwr(%args), getWordCount(%args) - 1));
				
				if(%section $= "admin")
				{
					if(!%client.isAdmin)
					{
						messageClient(%client, '', "\c6You must be admin to use this help section!");
					}
					else
					{
						TezRPHelp.displayHelp(%client, "main_admin");
					}
					
					return;
				}
				
				if(%section $= "jobs")
				{
					messageClient(%client, '', "\c6Type \c3^job\c6 then one of the jobs below to become that job.");
					
					for(%a = 1; %a <= $TezRP::jobs; %a++)
					{
						messageClient(%client, '', "\c3" @ $TezRP::jobs::name[%a] SPC "\c6- Inital Investment: \c3" @ $TezRP::jobs::initialInvestment[%a] SPC "\c6Pay: \c3" @ $TezRP::jobs::pay[%a] SPC "\c6Items: \c3" SPC (($TezRP::jobs::items[%a] == 1) ? "Yes" : "No") SPC "\c6Law: \c3" SPC (($TezRP::jobs::law[%a]) ? "Yes" : "No"));
					}
					
					return;
				}
				
				if(%section $= "lots")
				{
					messageClient(%client, '', "\c6This is a list of lots you can plant.");
					
					for(%a = 0; %a < datablockGroup.getCount(); %a++)
					{
						%datablock = datablockGroup.getObject(%a);
						
						if(%datablock.TezRPBrickType == 1)
						{
							messageClient(%client, '', "\c3" @ %datablock.uiName SPC "\c6- Size: \c3" @ %datablock.brickSizeX @ "x" @ %datablock.brickSizeY SPC "\c6Cost: \c3" @ %datablock.initialPrice SPC "\c6Tax: \c3" SPC %datablock.taxAmount);
						}
					}
					
					return;
				}
				
				if(%section $= "items")
				{
					messageClient(%client, '', "\c6This is a list of item prices.");
					
					for(%a = 0; %a < datablockGroup.getCount(); %a++)
					{
						%datablock = datablockGroup.getObject(%a);
						
						if((strLwr(%datablock.getClassName()) !$= strLwr("itemData") && strLwr(%datablock.getClassName()) !$= "weapon") || %datablock.uiName $= "")
						{
							continue;
						}
						
						if(!%datablock.TezRPCanSpawn && %datablock.TezRPCanSpawn !$= "")
						{
							continue;
						}
						
						%price = (isObject(%datablock.image) && isObject(%datablock.image.projectile)) ? mFloor(%datablock.image.projectile.directDamage) : 0;
						%price2 = (isObject(%datablock.image) && isObject(%datablock.image.projectile) && isObject(%datablock.image.projectile.explosion)) ? mFloor(%datablock.image.projectile.explosion.radiusDamage) : 0;
						
						messageClient(%client, '', "\c3" @ %datablock.uiName SPC "\c6- Price: \c3$" @ $TezRP::prices::addItemSpawn + (%price + %price2));
					}
					
					return;
				}
				
				if(%section !$= "")
				{
					%error = TezRPHelp.displayHelp(%client, %section);
					
					if(!%error)
					{
						messageClient(%client, '', "\c6Invalid help section '\c3" @ getWord(strLwr(%args), getWordCount(%args) - 1) @ "\c6'.");
					}
					
					return;
				}
				
				TezRPHelp.displayHelp(%client, "main");
				
				return;
			}
			
			if(%command $= "reset")
			{
				if(TezRPData.getData(%client.bl_id).valueMoney - $TezRP::prices::reset < 0)
				{
					messageClient(%client, '', "\c6You need at least \c3$" @ $TezRP::prices::reset SPC "\c6to do that.");
					
					return;
				}
				
				if(getWord(TezRPData.getData(%client.bl_id).valueBankData, 2) > 0)
				{
					messageClient(%client, '', "\c6You are still paying off your loan of \c3$" @ getWord(TezRPData.getData(%client.bl_id).valueBankData, 2) @ "\c6!");
					
					return;
				}
				
				messageClient(%client, '', "\c6Your account has been reset.");
				
				TezRPData.removeData(%client.bl_id);
				TezRPData.addData(%client.bl_id);
				
				%client.TezRP(1);
				
				if(isObject(%client.player))
				{
					%client.player.delete();
					%client.spawnPlayer();
				}
				
				return;
			}
			
			messageClient(%client, '', "\c6Invalid command '\c3" @ %command @ "\c6'.");
			
			%client.lastTezRPCommand = %lastCommand;
			
			return;
		}
		
		if(isObject(%client.player) && isObject(%client.TezRPTrigger) && isObject(%client.TezRPTrigger.parent) && %client.TezRPTrigger.parent.getDatablock().TezRPBrickType == 2)
		{
			if(%client.lastTezRPCommand + 0.01 > $sim::time)
			{
				return;
			}
			
			%client.TezRPTrigger.parent.getDatablock().parseData(%client.TezRPTrigger.parent, %client, "", %text);
			
			%client.lastTezRPCommand = $sim::time;
			
			return;
		}
		
		if(getWord(TezRPData.getData(%client.bl_id).valueJailData, 1) > 0)
		{
			//messageClient(%client, '', "\c6You can't talk while in jail.");

			%count = ClientGroup.getCount();

			for(%cl = 0; %cl < %count; %cl++)
			{
					%clientB = ClientGroup.getObject(%cl);
					
					if(getData(TezRPData.getData(%clientb.bl_id).valueJailData, 1) > 0)
					{
						Messageclient(%clientb, '', $AC::Color1 @ "\c7JailChat(\c0" @ $AC::Color2 @ %client.name @ $AC::Color1 @ "\c7)" @ $AC::Color3 @": \c3"@ %text);
					}
					
			}
			
			return;
		}
		parent::serverCmdMessageSent(%client, %text);
	}		
};

activatePackage(ChatStuff);

///////////////////////////////
//RAIN GUNS////////////////////
///////////////////////////////
//Code Credits = See Cash.cs///
///////////////////////////////
$Server::AllowGunDrop = true;

function serverCmdrainguns(%client)
{
	
	if(%client.isSuperAdmin == false)
	{
		return;
	}
	
	if($Server::AllowGunDrop == false) 
	{
		messageClient(%client, '', "\c6It already rained guns recently!");
		return;
	}
	
	messageAll('', '\c6%1\c3 made it rain guns!', %client.name);
	
	//Items to be dropped...
	for(%i=0; %i < 4; %i++) 
	{
		%Shotgun = new Item()
		{
			datablock = nametoid("ShotgunItem");
			canPickup = false;
			value = getRandom(1,10);
		};

		%Shotgun.setScale("1 1 1");
		%Shotgun.setShapeNameColor("0 0 0 1");
		%Shotgun.setShapeNameDistance(1000);
		%pos = %client.player.getTransform();
	
		%Shotgun.setTransform(getWord(%pos, 0) + getRandom(-100, 100) SPC getWord(%pos, 1) + getRandom(-100, 100) SPC getWord(%pos, 2) + getRandom(200, 300));
		MissionCleanup.add(%Shotgun);
		%Shotgun.setShapeName("Shotgun");
		%Shotgun.minigame = %client.minigame;
   		%Shotgun.schedule(60000, "delete");
   		
	}

	for(%i=0; %i < 4; %i++) 
	{
		%Gun = new Item()
		{
			datablock = nametoid("GunItem");
			canPickup = false;
			value = getRandom(1,10);
		};

		%Gun.setScale("1 1 1");
		%Gun.setShapeNameColor("0 0 0 1");
		%Gun.setShapeNameDistance(1000);
		%pos = %client.player.getTransform();
	
		%Gun.setTransform(getWord(%pos, 0) + getRandom(-100, 100) SPC getWord(%pos, 1) + getRandom(-100, 100) SPC getWord(%pos, 2) + getRandom(200, 300));
		MissionCleanup.add(%Gun);
		%Gun.setShapeName("Gun");
		%Gun.minigame = %client.minigame;
   		%Gun.schedule(60000, "delete");
   		
	}

	for(%i=0; %i < 4; %i++) 
	{
		%SilGun = new Item()
		{
			datablock = nametoid("GunItem");
			canPickup = false;
			value = getRandom(1,10);
		};

		%SilGun.setScale("1 1 1");
		%SilGun.setShapeNameColor("0 0 0 1");
		%SilGun.setShapeNameDistance(1000);
		%pos = %client.player.getTransform();
	
		%SilGun.setTransform(getWord(%pos, 0) + getRandom(-100, 100) SPC getWord(%pos, 1) + getRandom(-100, 100) SPC getWord(%pos, 2) + getRandom(200, 300));
		MissionCleanup.add(%SilGun);
		%SilGun.setShapeName("Silenced Gun");
		%SilGun.minigame = %client.minigame;
   		%SilGun.schedule(60000, "delete");
   		
	}

	for(%i=0; %i < 4; %i++) 
	{
		%SniperRifle = new Item()
		{
			datablock = nametoid("SniperRifleItem");
			canPickup = false;
			value = getRandom(1,10);
		};

		%SniperRifle.setScale("1 1 1");
		%SniperRifle.setShapeNameColor("0 0 0 1");
		%SniperRifle.setShapeNameDistance(1000);
		%pos = %client.player.getTransform();
	
		%SniperRifle.setTransform(getWord(%pos, 0) + getRandom(-100, 100) SPC getWord(%pos, 1) + getRandom(-100, 100) SPC getWord(%pos, 2) + getRandom(200, 300));
		MissionCleanup.add(%SniperRifle);
		%SniperRifle.setShapeName("Sniper Rifle");
		%SniperRifle.minigame = %client.minigame;
   		%SniperRifle.schedule(60000, "delete");
   		
	}

	$Server::AllowGunDrop = false;
	schedule(60000, 0, allowGunDrop);		
}

function allowGunDrop()
{
	$Server::AllowGunDrop = true;	
}


function fadeGunsPlz(%id)
{
	for(%i=0; %i <59; %i++) 
	{
		%id.schedule(%i*1000, "setShapeNameColor", "1 1 1" SPC 1 - 0.2);
		%id.setShapeNameColor("0 0 0 0");		
	}	
}
