//--------------------
// Name: TezRP
// Type: RP
// Version: 7.0 as of June 15th 2010
// Author: Jookia, Tezuni, Darklight, Gadgethm, McTwist, Zor, Marble Man, and everyone else who helped put this together.
//--------------------
//======================================
// >>> A PeopleMods Modification <<<
//======================================
////////////////////////////////////////

//exec("./Arson.cs");
exec("./Bot.cs");
exec("./Bounty.cs");
exec("./Cash.cs");
exec("./Commands.cs");
exec("./Events.cs");
exec("./Hellen.cs");
exec("./Items/Baton/Baton.cs");
exec("./Items/FireExtinguisher/FireExtinguisher.cs");
//exec("./Items/FlameThrower/FlameThrower.cs");
exec("./Items/GrappleRope/GrappleRope.cs");
exec("./Items/LockPick/LockPick.cs");
exec("./Items/LumberJack/LumberItem.cs");
exec("./Items/LumberJack/LumberJack.cs");
exec("./Items/Taser/Taser.cs"); 
exec("./RainItems.cs");
exec("./Sassy.cs");
exec("./Static.cs");


function JobList()
{
        %str = "list";
        for(%i=0;%i<$TezRP::Jobs;%i++)
        {
                %name = Strreplace($TezRP::Jobs::Name[%i]," ","");
                %str = %str SPC %name SPC %i;
        }
        return %str;
}
 
package TezRP
{
        function TezRP(%mode, %data)
        {
                if(%mode == 1)
                {
                        if(!isObject(TezRPData))
                        {
                                new scriptObject(TezRPData)
                                {
                                        class = Sassy;
                                        
                                        dataFile = "config/server/TezMods/TezRPData.dat";
                                };
                                
                                $TezRP::jobs::name[$TezRP::jobs++] = "Civilian";
                                $TezRP::jobs::initialInvestment[$TezRP::jobs] = 0;
                                $TezRP::jobs::pay[$TezRP::jobs] = 20;
                                $TezRP::jobs::tools[$TezRP::jobs] = "hammerItem wrenchItem printGun";
                                $TezRP::jobs::items[$TezRP::jobs] = false;
                                $TezRP::jobs::law[$TezRP::jobs] = false;
                                $TezRP::jobs::pickpocket[$TezRP::jobs] = false;

				$TezRP::jobs::name[$TezRP::jobs++] = "Lumberjack";
                                $TezRP::jobs::initialInvestment[$TezRP::jobs] = 0;
                                $TezRP::jobs::pay[$TezRP::jobs] = 20;
                                $TezRP::jobs::tools[$TezRP::jobs] = "hammerItem wrenchItem printGun TezRPLumberjackItem";
                                $TezRP::jobs::items[$TezRP::jobs] = false;
                                $TezRP::jobs::law[$TezRP::jobs] = false;
                                $TezRP::jobs::pickpocket[$TezRP::jobs] = false;

				$TezRP::jobs::name[$TezRP::jobs++] = "Fire Fighter";
                                $TezRP::jobs::initialInvestment[$TezRP::jobs] = 200;
                                $TezRP::jobs::pay[$TezRP::jobs] = 30;
                                $TezRP::jobs::tools[$TezRP::jobs] = "hammerItem wrenchItem printGun FireHoseItem";
                                $TezRP::jobs::items[$TezRP::jobs] = false;
                                $TezRP::jobs::law[$TezRP::jobs] = false;
                                $TezRP::jobs::pickpocket[$TezRP::jobs] = false;
                                
                                $TezRP::jobs::name[$TezRP::jobs++] = "Shop Keeper";
                                $TezRP::jobs::initialInvestment[$TezRP::jobs] = 2000;
                                $TezRP::jobs::pay[$TezRP::jobs] = 80;
                                $TezRP::jobs::tools[$TezRP::jobs] = "hammerItem wrenchItem printGun";
                                $TezRP::jobs::items[$TezRP::jobs] = true;
                                $TezRP::jobs::law[$TezRP::jobs] = false;
                                $TezRP::jobs::pickpocket[$TezRP::jobs] = false;

				$TezRP::jobs::name[$TezRP::jobs++] = "Mercenary";
                                $TezRP::jobs::initialInvestment[$TezRP::jobs] = 2000;
                                $TezRP::jobs::pay[$TezRP::jobs] = 80;
                                $TezRP::jobs::tools[$TezRP::jobs] = "hammerItem wrenchItem printGun TezRPBatonItem GrappleRope gc_PistolItem";
                                $TezRP::jobs::items[$TezRP::jobs] = false;
                                $TezRP::jobs::law[$TezRP::jobs] = false;
                                $TezRP::jobs::pickpocket[$TezRP::jobs] = false;

                                $TezRP::jobs::name[$TezRP::jobs++] = "Criminal";
                                $TezRP::jobs::initialInvestment[$TezRP::jobs] = 200;
                                $TezRP::jobs::pay[$TezRP::jobs] = 30;
                                $TezRP::jobs::tools[$TezRP::jobs] = "hammerItem wrenchItem printGun LockPickItem";
                                $TezRP::jobs::items[$TezRP::jobs] = false;
                                $TezRP::jobs::law[$TezRP::jobs] = false;
                                $TezRP::jobs::pickpocket[$TezRP::jobs] = true;
				
				$TezRP::jobs::name[$TezRP::jobs++] = "Elite Criminal";
                                $TezRP::jobs::initialInvestment[$TezRP::jobs] = 2000;
                                $TezRP::jobs::pay[$TezRP::jobs] = 80;
                                $TezRP::jobs::tools[$TezRP::jobs] = "hammerItem wrenchItem printGun LockPickItem GrappleRope";
                                $TezRP::jobs::items[$TezRP::jobs] = false;
                                $TezRP::jobs::law[$TezRP::jobs] = false;
                                $TezRP::jobs::pickpocket[$TezRP::jobs] = true;

				$TezRP::jobs::name[$TezRP::jobs++] = "Assassin VIP";
                                $TezRP::jobs::initialInvestment[$TezRP::jobs] = 5000;
                                $TezRP::jobs::pay[$TezRP::jobs] = 120;
                                $TezRP::jobs::tools[$TezRP::jobs] = "hammerItem wrenchItem printGun LockPickItem GrappleRope gc_SniperRifleItem gc_PPSh41Item gc_TT33Item";
                                $TezRP::jobs::items[$TezRP::jobs] = false;
                                $TezRP::jobs::law[$TezRP::jobs] = false;
                                $TezRP::jobs::pickpocket[$TezRP::jobs] = false;

				$TezRP::jobs::name[$TezRP::jobs++] = "Assassin";
                                $TezRP::jobs::initialInvestment[$TezRP::jobs] = 8000;
                                $TezRP::jobs::pay[$TezRP::jobs] = 100;
                                $TezRP::jobs::tools[$TezRP::jobs] = "hammerItem wrenchItem printGun LockPickItem GrappleRope gc_SniperRifleItem gc_TT33Item";
                                $TezRP::jobs::items[$TezRP::jobs] = false;
                                $TezRP::jobs::law[$TezRP::jobs] = false;
                                $TezRP::jobs::pickpocket[$TezRP::jobs] = false;
                                
                                $TezRP::jobs::name[$TezRP::jobs++] = "Policeman";
                                $TezRP::jobs::initialInvestment[$TezRP::jobs] = 400;
                                $TezRP::jobs::pay[$TezRP::jobs] = 50;
                                $TezRP::jobs::tools[$TezRP::jobs] = "hammerItem wrenchItem printGun TezRPBatonItem";
                                $TezRP::jobs::items[$TezRP::jobs] = false;
                                $TezRP::jobs::law[$TezRP::jobs] = true;
                                $TezRP::jobs::pickpocket[$TezRP::jobs] = false;
 
                                $TezRP::jobs::name[$TezRP::jobs++] = "Police Chief";
                                $TezRP::jobs::initialInvestment[$TezRP::jobs] = 4000;
                                $TezRP::jobs::pay[$TezRP::jobs] = 70;
                                $TezRP::jobs::tools[$TezRP::jobs] = "hammerItem wrenchItem printGun TezRPBatonItem TaserItem";
                                $TezRP::jobs::items[$TezRP::jobs] = false;
                                $TezRP::jobs::law[$TezRP::jobs] = true;
                                $TezRP::jobs::pickpocket[$TezRP::jobs] = false;

				$TezRP::jobs::name[$TezRP::jobs++] = "Sheriff";
                                $TezRP::jobs::initialInvestment[$TezRP::jobs] = 8000;
                                $TezRP::jobs::pay[$TezRP::jobs] = 80;
                                $TezRP::jobs::tools[$TezRP::jobs] = "hammerItem wrenchItem printGun TezRPBatonItem TaserItem GrappleRope";
                                $TezRP::jobs::items[$TezRP::jobs] = false;
                                $TezRP::jobs::law[$TezRP::jobs] = true;
                                $TezRP::jobs::pickpocket[$TezRP::jobs] = false;

				$TezRP::jobs::name[$TezRP::jobs++] = "Federal Agent VIP";
                                $TezRP::jobs::initialInvestment[$TezRP::jobs] = 10000;
                                $TezRP::jobs::pay[$TezRP::jobs] = 120;
                                $TezRP::jobs::tools[$TezRP::jobs] = "hammerItem wrenchItem printGun TezRPBatonItem TaserItem GrappleRope gc_SMGItem gc_PistolItem KevlarVestItem";
                                $TezRP::jobs::items[$TezRP::jobs] = false;
                                $TezRP::jobs::law[$TezRP::jobs] = true;
                                $TezRP::jobs::pickpocket[$TezRP::jobs] = false;

				$TezRP::jobs::name[$TezRP::jobs++] = "Federal Agent";
                                $TezRP::jobs::initialInvestment[$TezRP::jobs] = 12000;
                                $TezRP::jobs::pay[$TezRP::jobs] = 100;
                                $TezRP::jobs::tools[$TezRP::jobs] = "hammerItem wrenchItem printGun TezRPBatonItem TaserItem GrappleRope gc_SMGItem KevlarVestItem";
                                $TezRP::jobs::items[$TezRP::jobs] = false;
                                $TezRP::jobs::law[$TezRP::jobs] = true;
                                $TezRP::jobs::pickpocket[$TezRP::jobs] = false;

				$TezRP::jobs::name[$TezRP::jobs++] = "Ninja";
                                $TezRP::jobs::initialInvestment[$TezRP::jobs] = 9000;
                                $TezRP::jobs::pay[$TezRP::jobs] = 90;
                                $TezRP::jobs::tools[$TezRP::jobs] = "hammerItem wrenchItem printGun KatanaItem ShurikenItem KunaiItem";
                                $TezRP::jobs::items[$TezRP::jobs] = false;
                                $TezRP::jobs::law[$TezRP::jobs] = false;
                                $TezRP::jobs::pickpocket[$TezRP::jobs] = true;

				
 
                                $TezRP::prices::ATM = 2000;
				$TezRP::prices::vehicleSpawn = 10000;
                                $TezRP::prices::addItemSpawn = 75;
                                $TezRP::prices::jailingBonus = 300;
                                $TezRP::prices::reset = 100;
                                $TezRP::prices::maxLoan = 200;
                                $TezRP::prices::loanPay = 25;
				$TezRP::prices::LumberPrice = 1;
                                
                                $TezRP::demerits::demoteLevel = 1000;
                                $TezRP::demerits::wantedLevel = 300;
                                $TezRP::demerits::pickpocketing = 50;
                                $TezRP::demerits::hittingInnocents = 10;
                                $TezRP::demerits::attemptedMurder = 50;
                                $TezRP::demerits::murder = 300;
                                
                                $TezRP::other::tickSpeed = 6;
                                $TezRP::other::interest = 1.01;
                                $TezRP::other::interestTick = 6;
                                $TezRP::other::maxInterest = 100;
                                $TezRP::other::commandSymbol = "^";
                                $TezRP::other::demsToRemove = 50;
                                
                                if(isFile("config/server/TezMods/TezRPPrefs.cs"))
                                {
                                        exec("config/server/TezMods/TezRPPrefs.cs");
                                }
                                
                                export("$TezRP::*", "config/server/TezMods/TezRPPrefs.cs", false);
                                
                                $TezRP_temp::spawnPoints = "";
                                $TezRP_temp::loadedDatablocks = true;
                                
                                exec("Config/Server/TezMods/TezRPPrefs.cs");
                                
                                if(isFile("add-ons/system_ReturnToBlockland/server.cs") && !$TezRP_temp::loadedRTBPrefs)
                                {
                                        if(!$RTB::RTBS_ServerControl)
                                        {
                                                exec("add-ons/system_ReturnToBlockland/RTBR_ServerControl_Hook.cs");
                                        }
                                        
                                        RTB_registerPref("Demote Demerits", "TezRP", "$TezRP::demerits::demoteLevel", "int 1 1000", "TezRP", $TezRP::demerits::demoteLevel, false, false);
                                        RTB_registerPref("Wanted Demerits", "TezRP", "$TezRP::demerits::wantedLevel", "int 1 1000", "TezRP", $TezRP::demerits::wantedLevel, false, false);
                                        RTB_registerPref("Pickpocket Demerits", "TezRP", "$TezRP::demerits::pickpocketing", "int 1 1000", "TezRP", $TezRP::demerits::pickpocketing, false, false);
                                        RTB_registerPref("Hitting Innocent Demerits", "TezRP", "$TezRP::demerits::hittingInnocents", "int 1 1000", "TezRP", $TezRP::demerits::hittingInnocents, false, false);
                                        RTB_registerPref("Attempted Murder Demerits", "TezRP", "$TezRP::demerits::attemptedMurder", "int 1 1000", "TezRP", $TezRP::demerits::attemptedMurder, false, false);
                                        RTB_registerPref("Murder Demerits", "TezRP", "$TezRP::demerits::murder", "int 1 1000", "TezRP", $TezRP::demerits::murder, false, false);
                                        
                                        RTB_registerPref("Vehicle Spawn Price", "TezRP", "$TezRP::prices::vehicleSpawn", "int 0 10000", "TezRP", $TezRP::prices::vehicleSpawn, false, true);
                                        RTB_registerPref("Base Item Spawn Price", "TezRP", "$TezRP::prices::addItemSpawn", "int 0 10000", "TezRP", $TezRP::prices::addItemSpawn, false, true);
                                        RTB_registerPref("Jailing Bonus Price", "TezRP", "$TezRP::prices::jailingBonus", "int 0 10000", "TezRP", $TezRP::prices::jailingBonus, false, true);
                                        RTB_registerPref("Reset Price", "TezRP", "$TezRP::prices::reset", "int 0 10000", "TezRP", $TezRP::prices::reset, false, true);
                                        RTB_registerPref("Maximum Loan", "TezRP", "$TezRP::prices::maxLoan", "int 0 10000", "TezRP", $TezRP::prices::maxLoan, false, true);
                                        RTB_registerPref("Loan Pay", "TezRP", "$TezRP::prices::loanPay", "int 0 10000", "TezRP", $TezRP::prices::loanPay, false, true);
                                        
                                        RTB_registerPref("Tick Speed", "TezRP", "$TezRP::other::tickSpeed", "int 1 10", "TezRP", $TezRP::other::tickSpeed, false, true);
                                        RTB_registerPref("Interest", "TezRP", "$TezRP::other::interest", "int 0 5", "TezRP", $TezRP::other::interest, false, true);
                                        RTB_registerPref("Interest Stop", "TezRP", "$TezRP::other::maxInterest", "int 0 100000", "TezRP", $TezRP::other::maxInterest, false, true);
                                        RTB_registerPref("Interest Tick", "TezRP", "$TezRP::other::interestTick", "int 0 100", "TezRP", $TezRP::other::interestTick, false, true);
                                        RTB_registerPref("Removed Demerits on Tick", "TezRP", "$TezRP::other::demsToRemove", "int 1 100", "TezRP", $TezRP::other::demsToRemove, false, true);
                                        
                                        activatePackage(RTB_Goodies);
                                        
                                        $TezRP_temp::loadedRTBPrefs = true;
                                }
                                
                                if(!TezRPData.loadedSaveFile)
                                {
                                        TezRPData.addValue("money", 0);
                                        TezRPData.addValue("jobID", 1);
                                        TezRPData.addValue("demerits", 0);
					TezRPData.addValue("lumber", 10);
					TezRPData.addValue("tools", "");
                                        
                                        TezRPData.addValue("bankData", "0 0 0");
                                        TezRPData.addValue("jailData", "0 0");
                                        TezRPData.addValue("lotData", "0");
                                        TezRPData.addValue("totalPicketed", "0");
                                        
                                        TezRPData.addValue("Bounty", 0);
                                        
                                        TezRPData.addValue("gotEvent", false);
                                        
                                        TezRPData.addValue("giveableThanks", 20);
                                        TezRPData.addValue("gottenThanks", 0);
                                        
                                        TezRPData.saveData();
                                }
                                else
                                {
                                        for(%a = 1; %a <= TezRPData.dataCount; %a++)
                                        {
                                                if(TezRPData.data[%a].valueJobID > $TezRP::jobs || TezRPData.data[%a].valueJobID < 0)
                                                {
                                                        TezRPData.data[%a].valueJobID = 1;
                                                }
                                        }
                                }
                                
                                registerInputEvent("fxDTSBrick", "onEnterBuildZone", "Self fxDTSBrick\tPlayer player\tClient gameConnection\tMiniGame miniGame");
                                registerInputEvent("fxDTSBrick", "onLeaveBuildZone", "Self fxDTSBrick\tPlayer player\tClient gameConnection\tMiniGame miniGame");
                                registerOutputEvent("fxDTSBrick","ifJob","list Equals 0 NotEquals 1" TAB JobList());
                                
                                TezRPData.tickCount = 0;
                                
                                TezRPData.scheduleTick = schedule($TezRP::other::tickSpeed * 60000, false, "TezRP", 2);
                        }
                        else
                        {
                                for(%a = 1; %a <= TezRPData.dataCount; %a++)
                                {
                                        if(TezRPData.data[%a].valueJobID > $TezRP::jobs || TezRPData.data[%a].valueJobID < 0)
                                        {
                                                TezRPData.data[%a].valueJobID = 0;
                                        }
                                }
                        }
                        
                        if(!isObject(TezRPHelp))
                        {
                                new scriptObject(TezRPHelp)
                                {
                                        class = Hellen;
                                };
                        }
                        
                        if(!isObject(TezRPMini))
                        {
                                new scriptObject(TezRPMini)
                                {
                                        class = miniGameSO;
                                        
                                        brickDamage = true;
                                        brickRespawnTime = 15000;
                                        colorIdx = -1;
                                        
                                        enableBuilding = true;
                                        enablePainting = true;
                                        enableWand = true;
                                        fallingDamage = true;
                                        inviteOnly = true;
                                        
                                        points_plantBrick = 0;
                                        points_breakBrick = 0;
                                        points_die = 0;
                                        points_killPlayer = 1;
                                        points_killSelf = 0;
                                        
                                        playerDatablock = PlayerNoJet7I;
                                        respawnTime = 6000;
                                        selfDamage = true;
                                        
                                        playersUseOwnBricks = false;
                                        useAllPlayersBricks = true;
                                        useSpawnBricks = false;
                                        VehicleDamage = true;
                                        vehicleRespawnTime = 8000;
                                        weaponDamage = true;
                                        
                                        numMembers = 0;
                                };
                        }
                        
                        for(%a = 1; %a <= $TezRP::jobs; %a++)
                        {
                                if(isObject("TezRPJob" @ %a @ "SpawnBrickData"))
                                {
                                        continue;
                                }
                                
                                datablock fxDtsBrickData(TezRPSpawnBrickData : brickSpawnPointData)
                                {
                                        category = "TezMods";
                                        subCategory = "Admin Spawns";
                                        
                                        uiName = $TezRP::jobs::name[%a] SPC "Spawn";
                                        
                                        specialBrickType = "";
                                        
                                        TezRPBrickType = 3;
                                        TezRPBrickAdmin = true;
                                        
                                        spawnData = "jobSpawn" SPC %a;
                                };
                                
                                TezRPSpawnBrickData.setName("TezRPJob" @ %a @ "SpawnBrickData");
                        }
                }
                
                if(%mode == 2)
                {
                        if(TezRPData.scheduleTick)
                        {
                                cancel(TezRPData.scheduleTick);
                        }
                        
                        TezRPData.tickCount++;
                        
                        for(%a = 0; %a <= TezRPData.dataCount; %a++)
                        {
                                if(TezRPData.tickCount % $TezRP::other::interestTick == 0 && getWord(TezRPData.data[%a].valueBankData, 0) < $TezRP::other::maxInterest)
                                {
                                        TezRPData.data[%a].valueBankData = mFloor(getWord(TezRPData.data[%a].valueBankData, 0) * $TezRP::other::interest) SPC getWords(TezRPData.data[%a].valueBankData, 1, 2);
                                }
                                
                                if(!isObject(findClientByBL_ID(TezRPData.data[%a].ID)))
                                {
                                        continue;
                                }
                                
                                %client = findClientByBL_ID(TezRPData.data[%a].ID);
                                
                                if(getWord(TezRPData.getData(%client.bl_id).valueJailData, 1) > 0)
                                {
                                        TezRPData.getData(%client.bl_id).valueJailData = 1 SPC getWord(TezRPData.getData(%client.bl_id).valueJailData, 1) - 1;
                                        
                                        if(getWord(TezRPData.getData(%client.bl_id).valueJailData, 1) < 1)
                                        {
                                                messageClient(%client, '', "\c6You're free.");
                                                
                                                if(isObject(%client.player))
                                                {
                                                        %client.player.delete();
                                                        %client.spawnPlayer();
                                                }
                                                
                                                continue;
                                        }
                                        
                                        messageClient(%client, '', "\c6You now have \c3" @ getWord(TezRPData.getData(%client.bl_id).valueJailData, 1) SPC "\c6tick" @ ((getWord(TezRPData.getData(%client.bl_id).valueJailData, 1) == 1) ? "" : "s") SPC "until you get out of jail.");
                                        
                                        %client.TezRP(1);
                                        
                                        continue;
                                }
                                
                                if($TezRP::jobs::pay[TezRPData.getData(%client.bl_id).valueJobID] > 0)
                                {
					
                                        //TezRPData.getData(%client.bl_id).valueMoney += $TezRP::jobs::pay[TezRPData.getData(%client.bl_id).valueJobID];
					
					//PAYCHECK to BANK
					TezRPData.getData(%client.bl_id).valueBankData += $TezRP::jobs::pay[TezRPData.getData(%client.bl_id).valueJobID];                                        

                                        messageClient(%client, '', "\c6Your paycheck of \c3$" @ $TezRP::jobs::pay[TezRPData.getData(%client.bl_id).valueJobID] @ "\c6 was transferred to your bank account. (\c2$" @ getWord(TezRpData.getData(%client.bl_id).valueBankData, 0) @ "\c6)");
					//messageClient(%client, '', "\c6You now have \c2$" @ getWord(TezRpData.getData(%client.bl_id).valueBankData, 0) SPC "\c6in your bank.");
                                }

				if(TezRPData.getData(%client.bl_id).valueLumber > 0)
				{				
					%totalLumber = TezRPData.getData(%client.bl_id).valueLumber;
	
					if(mFloor(%totalLumber * $TezRP::prices::LumberPrice) > 0)
					{				
						%product = mFloor(%totalLumber * $TezRP::prices::LumberPrice);
		
						if(getJob(%client) $= "Lumberjack")
						{
							%product *= getRandom(1.0, 3.0);
							%product = mFloor(%product);
						}					

						TezRPData.getData(%client.bl_id).valueMoney += %product;
						messageClient(%client, '', "\c6The city bought all of your lumber for \c3$" @ %product @ "\c6.");
						TezRPData.getData(%client.bl_id).valueLumber = 0;
						%client.TezRp(1);
					}
				}

				//Reducing demerits per tick                      
                                if(TezRPData.getData(%client.bl_id).valueDemerits >= $TezRP::other::demsToRemove) 
				{
                                        TezRPData.getData(%client.bl_id).valueDemerits -= $TezRP::other::demsToRemove;
                                        messageClient(%client, '', '\c6%1 demerits have been removed. You now have %2 demerits.', $TezRP::other::demsToRemove, TezRPData.getData(%client.bl_id).valueDemerits);
				}

				//Wanted check after demerit reduction
				if(TezRPData.getData(%client.bl_id).valueDemerits >= $TezRP::demerits::wantedLevel)
				{
						messageAll('', "\c1POLICE\c6: \c3" @ %client.name SPC "\c6is still wanted!");

						%Client.player.setShapeNameColor("1 0 0");

						
                		}
				else
				{
					if(getJob(%Client) $= "Policeman" || getJob(%Client) $= "Police Chief" || getJob(%Client) $= "Sheriff" || getJob(%Client) $= "Federal Agent" || getJob(%Client) $= "Federal Agent VIP")
                			{
						%Client.player.setShapeNameColor("0 0 1");
					}

						else if(getJob(%Client) $= "Criminal" || getJob(%Client) $= "Elite Criminal" || getJob(%Client) $= "Assassin" || getJob(%Client) $= "Assassin VIP")
                				{
							%Client.player.setShapeNameColor("0 1 0");
						}

							else if(getJob(%Client) $= "Shop Keeper")
                					{
								%Client.player.setShapeNameColor("1 0 1");
							}
								else if(getJob(%this) $= "Mercenary")
                						{
									%this.player.setShapeNameColor("0 1 1");
								} 
							
									else
									{
										%Client.player.setShapeNameColor("1 1 1"); 
									}
				}
                                
                                if(%client.brickGroup.taxes > 0)
                                {
                                        TezRPData.getData(%client.bl_id).valueBankData -= %client.brickGroup.taxes;
                                        
                                        if(TezRPData.getData(%client.bl_id).valueBankData < 0)
                                        {
                                                TezRPData.getData(%client.bl_id).valueBankdata = 0;
                                        }
                                        
                                        messageClient(%client, '', "\c6You pay \c3$" @ %client.brickGroup.taxes SPC "\c6in taxes from your bank account.");
                                }
                                
                                if(getWord(TezRPData.getData(%client.bl_id).valueBankData, 2) > 0 && TezRPData.getData(%client.bl_id).valueMoney > 0)
                                {
                                        %paid = $TezRP::prices::loanPay;
                                        
                                        if(getWord(TezRPData.getData(%client.bl_id).valueBankData, 1) < $TezRP::prices::loanPay)
                                        {
                                                %paid = getWord(TezRPData.getData(%client.bl_id).valueBankData, 1);
                                        }
                                        
                                        if(TezRPData.getData(%client.bl_id).valueMoney < %paid)
                                        {
                                                %paid = TezRPData.getData(%client.bl_id).valueMoney;
                                        }
                                        
                                        messageClient(%client, '', "\c6You have paid \c3$" @ %paid SPC "\c6towards your loan.");
                                        
                                        TezRPData.getData(%client.bl_id).valueMoney -= %paid;
                                        
                                        if(getWord(TezRPData.getData(%client.bl_id).valueBankData, 1) - %paid < 1)
                                        {
                                                TezRPData.getData(%client.bl_id).valueBankData = getWord(TezRPData.getData(%client.bl_id).valueBankData, 0) SPC 0 SPC 0;
                                        }
                                        else
                                        {
                                                TezRPData.getData(%client.bl_id).valueBankData = getWord(TezRPData.getData(%client.bl_id).valueBankData, 0) SPC getWord(TezRPData.getData(%client.bl_id).valueBankData, 1) - %paid SPC getWord(TezRPData.getData(%client.bl_id).valueBankData, 2);
                                        }
                                }
                                
                                %client.TezRP(1);
                        }
                        
                        TezRPData.saveData();
                        
                        TezRPData.scheduleTick = schedule($TezRP::other::tickSpeed * 60000, false, "TezRP", 2);
                }
                
                if(%mode == 3)
                {
                        %letter = strLwr(getSubStr(%data, 0, 1));
                        
                        if(%letter $= "a" || %letter $= "e" || %letter $= "i" || %letter $= "o" || %letter $= "u")
                        {
                                return "an";
                        }
                        
                        return "a";
                }
                
                if(%mode == 4)
                {
                        for(%a = 0; %a < getWordCount($TezRP_temp::spawnPoints); %a++)
                        {
                                %brick = getWord($TezRP_temp::spawnPoints, %a);
                                
                                if(strLwr(%brick.getDatablock().spawnData) !$= strLwr(%data) && getWord(strLwr(%data), 0) !$= strLwr("personalSpawn"))
                                {
                                        continue;
                                }
                                
                                if(getWord(strLwr(%data), 0) $= strLwr("personalSpawn") && (strLwr(%brick.getDatablock().spawnData) !$= strLwr("personalSpawn") || getBrickGroupFromObject(%brick).bl_id != getWord(strLwr(%data), 1)))
                                {
                                        continue;
                                }
                                
                                %possibleSpawns = (%possibleSpawns $= "") ? %brick : %possibleSpawns SPC %brick;
                        }
                        
                        if(%possibleSpawns !$= "")
                        {
                                %spawnBrick = getWord(%possibleSpawns, getRandom(0, getWordCount(%possibleSpawns) - 1));
                                
                                return vectorSub(%spawnBrick.getWorldBoxCenter(), "0 0" SPC (%spawnBrick.getDatablock().brickSizeZ - 3) * 0.1) SPC getWords(%spawnBrick.getTransform(), 3, 6);
                        }
                        
                        return false;
                }
        }
        
                function TezRPATMBrickData::parseData(%this, %brick, %client, %triggerStatus, %text)
                {
                if(%triggerStatus !$= "")
                {
                        if(%triggerStatus == true && %client.stage $= "")
                        {
                                messageClient(%client, '', "\c6Welcome! Please type the number corresponding to the options below.");
                                messageClient(%client, '', "\c6Also, you have \c3$" @ getWord(TezRPData.getData(%client.bl_id).valueBankData, 0) SPC "\c6in the bank.");
                                
                                messageClient(%client, '', "\c31 \c6- Withdraw Money");
                                
                                %client.stage = 0;
                        }
                        
                        if(%triggerStatus == false && %client.stage !$= "")
                        {
                                messageClient(%client, '', "\c6Thanks, come again.");
                                
                                %client.stage = "";
                        }
                        
                        return;
                }
                %input = strLwr(%text);
                
                if(%client.stage == 1.1)
                {
                        if(mFloor(%input) < 1)
                        {
                                messageClient(%client, '', "\c6Please enter a valid amount of money to withdraw.");
                                
                                return;
                        }
                        
                        if(getWord(TezRPData.getData(%client.bl_id).valueBankData, 0) - mFloor(%input) < 0)
                        {
                                if(getWord(TezRPData.getData(%client.bl_id).valueBankData, 0) < 1)
                                {
                                        messageClient(%client, '', "\c6You don't have that much money in the bank to withdraw.");
                                        
                                        %brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, (isObject(%client.player) ? %client.player : 0));
                                        
                                        return;
                                }
                                
                                %input = getWord(TezRPData.getData(%client.bl_id).valueBankData, 0);
                        }
                        
                        messageClient(%client, '', "\c6You have withdrawn \c3$" @ mFloor(%input) @ "\c6.");
                        
                        TezRPData.getData(%client.bl_id).valueBankData = getWord(TezRPData.getData(%client.bl_id).valueBankData, 0) - mFloor(%input) SPC getWords(TezRPData.getData(%client.bl_id).valueBankData, 1, 2);
                        TezRPData.getData(%client.bl_id).valueMoney += mFloor(%input);
                        
                        %client.TezRP(1);
                        
                        %brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, (isObject(%client.player) ? %client.player : 0));
                        
                        return;
                }
                if(strReplace(%input, "1", "") !$= %input || strReplace(%input, "one", "") !$= %input)
                {
                        %client.stage = 1.1;
                        
                        messageClient(%client, '', "\c6Please enter the amount of money you wish to withdraw.");
                        
                        return;
                }
 
                messageClient(%client, '', "\c3" @ %text SPC "\c6is not a valid option!");
        }
        
        function fxDtsBrick::TezRP(%brick, %mode, %data)
        {
                if(%mode == 1 && !isObject(%brick.trigger))
                {
                        %datablock = %brick.getDatablock();
                        
                        %scale = getWord(%datablock.triggerSize, 0) / 2 SPC getWord(%datablock.triggerSize, 1) / 2 SPC getWord(%datablock.triggerSize, 2) / 2;
                        
                        if(mFloor(getWord(%brick.rotation, 3)) == 90)
                        {
                                %scale = getWord(%datablock.triggerSize, 1) / 2 SPC getWord(%datablock.triggerSize, 0) / 2 SPC getWord(%datablock.triggerSize, 2) / 2;
                        }
                        
                        %brick.trigger = new trigger()
                        {
                                datablock = %datablock.triggerDatablock;
                                
                                position = getWords(%brick.getWorldBoxCenter(), 0, 1) SPC getWord(%brick.getWorldBoxCenter(), 2) + ((getWord(%datablock.triggerSize, 2) / 4) + (%datablock.brickSizeZ * 0.1));
                                rotation = "1 0 0 0";
                                scale = %scale;
                                
                                polyhedron = "-0.5000000 -0.5000000 -0.5000000 1.0000000 0.0000000 0.0000000 0.0000000 1.0000000 0.0000000 0.0000000 0.0000000 1.0000000";
                                
                                parent = %brick;
                        };
                        
                        if(%brick.getDatablock().TezRPBrickType == 1)
                        {
                                %boxSize = getWord(%scale, 0) / 2.5 SPC getWord(%scale, 1) / 2.5 SPC getWord(%scale, 2) / 2.5;
                                
                                initContainerBoxSearch(%brick.trigger.getWorldBoxCenter(), %boxSize, $typeMasks::playerObjectType);
                                
                                while(isObject(%player = containerSearchNext()))
                                {
                                        %brick.trigger.getDatablock().onEnterTrigger(%brick.trigger, %player);
                                }
                                
                                getBrickGroupFromObject(%brick).taxes += %brick.getDatablock().taxAmount;
                                
                                if(isObject(getBrickGroupFromObject(%brick).client))
                                {
                                        getBrickGroupFromObject(%brick).client.TezRP(1);
                                }
                        }
                }
                
                if(%mode == 2 && isObject(%brick.trigger))
                {
                        for(%a = 0; %a < clientGroup.getCount(); %a++)
                        {
                                if(isObject(clientGroup.getObject(%a).player) && clientGroup.getObject(%a).TezRPTrigger == %brick.trigger)
                                {
                                        %brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, clientGroup.getObject(%a).player, true);
                                }
                        }
                        
                        %boxSize = getWord(%brick.trigger.scale, 0) / 2.5 SPC getWord(%brick.trigger.scale, 1) / 2.5 SPC getWord(%brick.trigger.scale, 2) / 2.5;
                        
                        initContainerBoxSearch(%brick.trigger.getWorldBoxCenter(), %boxSize, $typeMasks::playerObjectType);
                        
                        while(isObject(%player = containerSearchNext()))
                        {
                                %brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, %player);
                        }
                        
                        %brick.trigger.delete();
                        
                        if(%brick.getDatablock().TezRPBrickType == 1)
                        {
                                getBrickGroupFromObject(%brick).taxes -= %brick.getDatablock().taxAmount;
                                
                                if(isObject(getBrickGroupFromObject(%brick).client))
                                {
                                        getBrickGroupFromObject(%brick).client.TezRP(1);
                                }
                                
                                if(%brick.getName() !$= "")
                                {
                                        %data = TezRPData.getData(getBrickGroupFromObject(%brick).bl_id).valueBuildZoneData;
                                        
                                        %newData = getWord(%data, 0) - 1;
                                        
                                        for(%a = 1; %a < getWordCount(%data); %a++)
                                        {
                                                if(%cancelNext)
                                                {
                                                        %cancelNext = false;
                                                        
                                                        continue;
                                                }
                                                
                                                %newData = %newData SPC getWord(%data, %a);
                                                
                                                if(%a % 2 == 0)
                                                {
                                                        continue;
                                                }
                                                
                                                %newBrick = "_" @ getWord(%data, %a);
                                                
                                                if(isObject(%newBrick) && %newBrick $= %brick.getName())
                                                {
                                                        %found = true;
                                                        
                                                        %newData = getWords(%newData, 0, getWordCount(%newData) - 2);
                                                        
                                                        %cancelNext = true;
                                                }
                                        }
                                        
                                        if(%found)
                                        {
                                                TezRPData.getData(getBrickGroupFromObject(%brick).bl_id).valueBuildZoneData = %newData;
                                        }
                                }
                        }
                }
                
                if(%mode == 3)
                {
                        if(isObject(%data) && getWord(%data, 1))
                        {
                                if(strReplace(%data.brickList, %brick, "") !$= %data.brickList)
                                {
                                        return;
                                }
                                
                                %data.brickCount++;
                                %data.brickList = %data.brickList SPC %brick;
                                
                                for(%a = 0; %a < %brick.getNumUpBricks(); %a++)
                                {
                                        %brick.getUpBrick(%a).TezRP(3, %data SPC 1);
                                }
                                
                                for(%b = 0; %b < %brick.getNumDownBricks(); %b++)
                                {
                                        %brick.getDownBrick(%b).TezRP(3, %data SPC 1);
                                }
                                
                                return;
                        }
                        
                        getBrickGroupFromObject(%brick).taxes -= %brick.getDatablock().taxAmount;
                        
                        %data.taxes += %brick.getDatablock().taxAmount;
                        
                        if(isObject(getBrickGroupFromObject(%brick).client))
                        {
                                getBrickGroupFromObject(%brick).client.TezRP(1);
                        }
                        
                        if(isObject(%data.client))
                        {
                                %data.client.TezRP(1);
                        }
                        
                        %dataStore = new scriptObject()
                        {
                                brickCount = 1;
                                
                                brickList = %brick;
                        };
                        
                        for(%a = 0; %a < %brick.getNumUpBricks(); %a++)
                        {
                                %brick.getUpBrick(%a).TezRP(3, %dataStore SPC 1);
                        }
                        
                        for(%b = 0; %b < %dataStore.brickCount; %b++)
                        {
                                %brick = getWord(%dataStore.brickList, %b);
                                %oldGroup = getBrickGroupFromObject(%brick);
                                
                                %oldGroup.remove(%brick);
                                %data.add(%brick);
                                
                                if(%brick.getName() !$= "")
                                {
                                        %name = %brick.getName();
                                        
                                        %oldGroup.removeNTName(%name);
                                        %data.addNTName(%name);
                                }
                        }
                        
                        %dataStore.delete();
                        
                        %boxSize = getWord(%brick.trigger.scale, 0) / 2.5 SPC getWord(%brick.trigger.scale, 1) / 2.5 SPC getWord(%brick.trigger.scale, 2) / 2.5;
                        
                        initContainerBoxSearch(%brick.trigger.getWorldBoxCenter(), %boxSize, $typeMasks::playerObjectType);
                        
                        while(isObject(%player = containerSearchNext()))
                        {
                                if(isObject(%player.client))
                                {
                                        %player.client.TezRP(1);
                                }
                        }
                }
        }
        
        function gameConnection::TezRP(%this, %mode, %data, %ticks)
        {
                if(%mode == 1)
                {
                        if(isObject(%this.player))
                        {
                                //%tools = "";//started adding McTwist's Stuff
				%db = %this.player.getDatablock();
				// Save equipments
				//for (%i = 0; %i < %db.maxTools; %i++)
				//{
				//	%tools = (%tools $= "") ? %this.player.tool[%i].uiName : %tools TAB %this.player.tool[%i].uiName;
				//}
			
				//%this.TezRPData.value["tools"] = %tools;//Stopped Adding McTwist's Stuff
				
				%tag = $TezRP::jobs::name[TezRPData.getData(%this.bl_id).valueJobID];
                                
                                if(getWord(TezRPData.getData(%this.bl_id).valueJailData, 1) > 0)
                                {
                                        %tag = getWord(TezRPData.getData(%this.bl_id).valueJailData, 1) SPC "\c6Tick" @ ((getWord(TezRPData.getData(%this.bl_id).valueJailData, 1) == 1) ? "" : "s");
                                }
			
				if(getJob(%this) $= "Policeman" || getJob(%this) $= "Police Chief" || getJob(%this) $= "Sheriff")
                		{
					%this.player.setShapeNameColor("0 0 1");
				}

				if(getJob(%this) $= "Federal Agent" || getJob(%this) $= "Federal Agent VIP")
                		{
					%this.player.setShapeNameColor("0 0 1");
				}

				if(getJob(%this) $= "Criminal" || getJob(%this) $= "Elite Criminal" || getJob(%this) $= "Assassin")
                		{
					%this.player.setShapeNameColor("0 1 0");

				}

				if(getJob(%this) $= "Assassin VIP")
                		{
					%this.player.setShapeNameColor("0 1 0");

				}

				if(getJob(%this) $= "Shop Keeper")
                		{
					%this.player.setShapeNameColor("1 0 1");
				}

				if(getJob(%this) $= "Mercenary")
                		{
					%this.player.setShapeNameColor("0 1 1");
				}

				if(getWord(TezRPData.getData(%this.bl_id).valueJailData, 1) > 0)
                		{
                        		%this.player.setShapeNameColor("1 0.5 0");
               	 		}

				if(TezRPData.getData(%this.bl_id).valueDemerits > $TezRP::demerits::wantedLevel)
                		{
                        		%this.player.setShapeNameColor("1 0 0");  
                		}	
			
				//%this.applyForcedUniforms();

			                                
                                //%this.player.setShapeName("[" @ %tag @ "]" SPC %this.name);
                        }
                        
			%this.TezRPPrint = "<font:Palatino Linotype:25pt> \c3" @ "<font:Palatino Linotype:18pt>\c6Money: \c3$"@ TezRPData.getData(%this.bl_id).valueMoney SPC "\c6Lumber: \c3"@ TezRPData.getData(%this.bl_id).valueLumber SPC "\c6Job: \c3" @ $TezRP::jobs::name[TezRPData.getData(%this.bl_id).valueJobID] SPC "\c6Income: \c3$" @ $TezRP::jobs::pay[TezRPData.getData(%this.bl_id).valueJobID] SPC "\c6Taxes: \c3$" @ ((%this.brickGroup.taxes > 0) ? %this.brickGroup.taxes : "0") @ (isObject(%this.TezRPBuildZoneTrigger) ? "<just:right> \c6 \c3" @ getBrickGroupFromObject(%this.TezRPBuildZoneTrigger.parent).name : " ");
                        
                        commandToClient(%this, 'bottomPrint', %this.TezRPPrint);
                }
                
                if(%mode == 2)
                {
                        if(getWord(TezRPData.getData(%this.bl_id).valueJailData, 1) > 0)
                        {
                                return;
                        }
                        
                        %demerits = mFloor(%data);
                        %currentDemerits = TezRPData.getData(%this.bl_id).valueDemerits;
                        
                        TezRPData.getData(%this.bl_id).valueDemerits += %demerits;
                        
                        if(TezRPData.getData(%this.bl_id).valueDemerits >= $TezRP::demerits::demoteLevel)
                        {
                                TezRPData.getData(%this.bl_id).valueJailData = 1 SPC 0;
                                
                                if(!$TezRP::jobs::law[TezRPData.getData(%this.bl_id).valueJobID])
                                {
                                        return;
                                }
                                
                                messageClient(%this, '', "\c6You have been demoted to" SPC TezRP(3, $TezRP::jobs::name[1]) SPC "\c3" @ $TezRP::jobs::name[1] @ "\c6.");
                                
                                TezRPData.getData(%this.bl_id).valueJobID = 1;
                                
                                %this.TezRP(1);
                                
                                if(isObject(%this.player))
                                {
                                        serverCmdunUseTool(%this);
                                        
                                        %this.player.giveDefaultEquipment();
                                }
                        }
                }
                
                if(%mode == 3)
                {
                        %rawTicks = (mFloor(TezRPData.getData(%this.bl_id).valueDemerits / ($TezRP::other::tickSpeed * 50)) > 0) ? mFloor(TezRPData.getData(%this.bl_id).valueDemerits / ($TezRP::other::tickSpeed * 50)) : 1;
                        
                        %ticks = %rawTicks;
                        
                        if(%ticks > 2)
                        {
                                %ticks = 2;
                        }
			
			//Jail Bonus
			//%JailBonus = TezRPData.getData(%data.bl_id).valueMoney += $TezRP::prices::jailingBonus * %ticks;
			%JailBonus = $TezRP::prices::jailingBonus * %ticks; 
 
                        messageAll('', "\c3" @ %data.name SPC "\c6has jailed \c3" @ %this.name SPC "\c6for \c3" @ %ticks SPC"\c6tick" @ ((%ticks == 1) ? "" : "s") @ " and earns \c3$" @ %JailBonus @ "\c6.", 5);

			//Confiscation
			%ConfiscationAmount = TezRPData.getData(%this.bl_id).valueMoney;
		
			if(%ConfiscationAmount > 0)
			{
				messageAll('', "\c3" @ %data.name SPC "\c6also confiscated \c3$" @ %ConfiscationAmount @ " \c6from\c3 " @ %this.name @ "\c6.", 5);
			}

                        //commandToClient(%this, 'centerPrint', "\c3" @ %data.name SPC "\c6has jailed you for \c3" @ %ticks SPC"\c6tick" @ ((%ticks == 1) ? "" : "s") @ ".", 5);

                        //commandToClient(%data, 'centerPrint', "\c6You have jailed \c3" @ %this.name SPC "\c6for \c3" @ %ticks SPC"\c6tick" @ ((%ticks == 1) ? "" : "s") @ ". You now have \c3$" @ TezRPData.getData(%data.bl_id).valueMoney + ($TezRP::prices::jailingBonus * %ticks) @ "\c6.", 5);
                        
			//////////////////////////////////////////
			//  >> money confiscation on arrest <<  \\
			//////////////////////////////////////////
			
			%input = TezRPData.getData(%this.bl_id).valueMoney;
			
			//messageClient(%data, '', "\c6You have confiscated \c3$" @ mFloor(%input) @ "\c6from\c3" @ %this.name @ "\c6.");

			TezRPData.getData(%this.bl_id).valueMoney -= mFloor(%input);
			TezRPData.getData(%data.bl_id).valueMoney += mFloor(%input);

			////////////////////
			//END CONFISCATION//
			////////////////////
                        TezRPData.getData(%this.bl_id).valueJailData = 1 SPC %ticks;
                        TezRPData.getData(%this.bl_id).valueDemerits = 0;
                        
                        TezRPData.getData(%data.bl_id).valueMoney += $TezRP::prices::jailingBonus * %ticks;
			
			
                        %this.TezRP(1);
                        %data.TezRP(1);
                        
                        if($TezRP::jobs::law[TezRPData.getData(%this.bl_id).valueJobID])
                        {
                                messageClient(%this, '', "\c6You have been demoted to" SPC TezRP(3, $TezRP::jobs::name[1]) SPC "\c3" @ $TezRP::jobs::name[1] SPC "\c6since you were jailed.");
                                
                                TezRPData.getData(%this.bl_id).valueJobID = 1;
                        }
                        
                        if(isObject(%this.player.tempBrick))
                        {
                                %this.player.tempBrick.delete();
                        }
                        
                        %this.player.delete();
                        %this.spawnPlayer();
                }

		if(%mode == 4)
		{
			//echo("Mode 4, turns out that's still here");
			//%this.buyResources();
		}
		
                
                if(%mode == 5)
                {
                        if(%ticks $= "")
                        {
                                return; 
                        }
                        %rawTicks = %ticks;
                        
                        %ticks = %rawTicks;
                        
                        if(%ticks > 2)
                        {
                                %ticks = 2;
                        }
                        
                        messageAll('', "\c3" @ %data.name SPC "\c6has force jailed \c3" @ %this.name SPC "\c6for \c3" @ %ticks SPC"\c6tick" @ ((%ticks == 1) ? "" : "s") @ ".", 5);
                        commandToClient(%this, 'centerPrint', "\c3" @ %data.name SPC "\c6has force jailed you for \c3" @ %ticks SPC"\c6tick" @ ((%ticks == 1) ? "" : "s") @ ".", 5);
                        
                        TezRPData.getData(%this.bl_id).valueJailData = 1 SPC %ticks;
                        TezRPData.getData(%this.bl_id).valueDemerits = 0;
                        
                        
                        %data.TezRP(1);
                        
                        if($TezRP::jobs::law[TezRPData.getData(%this.bl_id).valueJobID])
                        {
                                messageClient(%this, '', "\c6You have been demoted to" SPC TezRP(3, $TezRP::jobs::name[1]) SPC "\c3" @ $TezRP::jobs::name[1] SPC "\c6since you were jailed.");
                                
                                TezRPData.getData(%this.bl_id).valueJobID = 1;
                        }
                        
                        if(isObject(%this.player.tempBrick))
                        {
                                %this.player.tempBrick.delete();
                        }
                        
                        %this.player.delete();
                        %this.spawnPlayer();
                }
        }
        
        function gameConnection::onClientEnterGame(%this)
        {
                parent::onClientEnterGame(%this);
                
                if(!isObject(TezRPData.getData(%this.bl_id)))
                {
                        TezRPData.addData(%this.bl_id);
                }
                %this.TezRP(1);
                if(TezRPData.getData(%this.bl_id).valueGotEvent == false)
                {
                        checkEvents(%this);     
                        TezRPData.getData(%this.bl_id).valueGotEvent = true;
                }
                
                commandtoclient(%this, 'centerPrint', "<bitmap:Add-Ons/TezMods_CityRP/[N]CityRPG>", 10, 5);
        }
        
        function gameConnection::spawnPlayer(%this)
        {
                parent::spawnPlayer(%this);
                
                if(TezRP(4, "jobSpawn 1"))
                {
                        %spawn = TezRP(4, "jobSpawn 1");
                }
                
                if(TezRP(4, "jobSpawn" SPC TezRPData.getData(%this.bl_id).valueJobID))
                {
                        %spawn = TezRP(4, "jobSpawn" SPC TezRPData.getData(%this.bl_id).valueJobID);
                }
                
                if(TezRP(4, "personalSpawn" SPC %this.bl_id))
                {
                        %spawn = TezRP(4, "personalSpawn" SPC %this.bl_id);
                }
                
                if(getWord(TezRPData.getData(%this.bl_id).valueJailData, 1) > 0 && TezRP(4, "jailSpawn"))
                {
                        %spawn = TezRP(4, "jailSpawn");
                }
                
                if(%spawn !$= "")
                {
                        %this.player.setTransform(%spawn);
                }
                
                %this.player.giveDefaultEquipment();

		if(getJob(%this) $= "ninja")
                {
			%this.player.setShapeNameColor("0.9176 0.6784 0.9176");
		}

		if(getJob(%this) $= "Policeman" || getJob(%this) $= "Police Chief" || getJob(%this) $= "Sheriff")
                {
			%this.player.setShapeNameColor("0 0 1");
		}

		if(getJob(%this) $= "Federal Agent" || getJob(%this) $= "Federal Agent VIP")
                {
			%this.player.setShapeNameColor("0 0 1");
		}

		if(getJob(%this) $= "Criminal" || getJob(%this) $= "Elite Criminal" || getJob(%this) $= "Assassin")
                {
			%this.player.setShapeNameColor("0 1 0");

		}

		if(getJob(%this) $= "Assassin VIP")
                {
			%this.player.setShapeNameColor("0 1 0");

		}

		if(getJob(%this) $= "Shop Keeper")
                {
			%this.player.setShapeNameColor("1 0 1");
		}

		if(getJob(%this) $= "Mercenary")
                {
			%this.player.setShapeNameColor("0 1 1");
		}

		if(getWord(TezRPData.getData(%this.bl_id).valueJailData, 1) > 0)
                {
                        %this.player.setShapeNameColor("1 0.5 0");
                }

		if(TezRPData.getData(%this.bl_id).valueDemerits > $TezRP::demerits::wantedLevel)
                {
                        %this.player.setShapeNameColor("1 0 0");  
                }



		//%tag = $TezRP::jobs::name[TezRPData.getData(%this.bl_id).valueJobID];

		//SetShapeName work around using invisible mounted bots
   		//%player = new AIPlayer() 
		//{
      		//	dataBlock = StandardPlayerArmor;
      		//	aiPlayer = true;
   		//};
   
		//MissionCleanup.add(%player);

   		// Bot setup
		//%player.hideNode("ALL");
   		//%player.setMoveSpeed(1);
   		//%player.setTransform(pickSpawnPoint());
   		//%player.setEnergyLevel(60);
		//%player.mountobject(findclientbyname(%this).player,1);
   		//%player.setShapeName("[" @ %tag @ "]");
		
		//%this.applyForcedUniforms();

                if(!isObject(TezRPMini))
                {
                        TezRP(1);
                }
                
                TezRPMini.addMember(%this);
        }
        
        function gameConnection::onDeath(%this, %killerPlayer, %killer, %damageType, %damageLoc)
        {

		// Lose tools
		if (isObject(%this))
		{
			%this.TezRPData.value["tools"] = "";
		}
                if(isObject(%this.TezRPTrigger))
                {
                        %this.TezRPTrigger.getDatablock().onLeaveTrigger(%this.TezRPTrigger, %this.player);
                }
                
                if(isObject(%this.TezRPBuildZoneTrigger))
                {
                        %this.TezRPBuildZoneTrigger.getDatablock().onLeaveTrigger(%this.TezRPBuildZoneTrigger, %this.player);
                }
                
                %this.TezRP(1);
                
                if(getWord(TezRPData.getData(%this.bl_id).valueJailData, 1) < 1)
                {
                        if(%this.player.currTool)
                        {
                                serverCmddropTool(%this, %this.player.currTool);
                        }
   
    			if(TezRPData.getData(%this.bl_id).valueDemerits > $TezRP::demerits::wantedLevel)
                        { 
                                parent::onDeath(%this, %killerPlayer, %killer, %damageType, %damageLoc);
                                return;
                                
                        }
                              
                        if(isObject(%killer) && %killer != %this)
                        {
                        	if(getJob(%killer) !$= "Mercenary") 
     				{
                                        commandToClient(%killer, 'centerPrint', "\c6You have commited a crime. [\c3Murder\c6]", 2);
                                        %killer.TezRP(2, $TezRP::demerits::murder);                                     					
  	                        }
      
				else 
      				{
                                	if(TezRPData.getData(%this.bl_id).valueBounty >= 1) 
      					{
                                                %bounty = TezRPData.getData(%this.bl_id).valueBounty;

                                                TezRPData.getData(%killer.bl_id).valueMoney += %bounty;

                                                messageAll('', '\c4%3 \c6has killed \c4%1 \c6and gained \c4$%2 \c6from the hit!', %this.name, %bounty, %killer.name);

                                                TezRPData.getData(%this.bl_id).valueBounty = 0;

                                                %killer.TezRP(1);
                                        } 
      			
					
                        	}
                                
			}
                        
                        if(isObject(%killer) && %killer != %this)
                        {

				if(getJob(%killer) $= "Assassin" || getJob(%killer) $= "Assassin VIP")
				{

                                	if(getJob(%this) !$= "Policeman" && getJob(%this) !$= "Police Chief" && getJob(%this) !$= "Sheriff" && getJob(%this) !$= "Federal Agent" && getJob(%this) !$= "Federal Agent VIP") 
    					{
                                		TezRPData.getData(%killer.bl_id).valueMoney += 50;

                                		commandToClient(%killer, 'centerPrint', "\c5Regular Kill: +$50!\n\c6You have commited a crime. [\c3Murder\c6]", 2);
                         
						%killer.TezRP(2, $TezRP::demerits::murder);
                                	} 
    
					if(getJob(%this) $= "Policeman" || getJob(%this) $= "Police Chief" || getJob(%this) $= "Sheriff" || getJob(%this) $= "Federal Agent" || getJob(%this) $= "Federal Agent VIP") 
    					{
                                		TezRPData.getData(%killer.bl_id).valueMoney += 100;

                                		commandToClient(%killer, 'centerPrint', "\c4Law Enforcement Kill: +$100!\n\c6You have commited a crime. [\c3Murder\c6]", 2);     

                                		%killer.TezRP(2, $TezRP::demerits::murder);
                                	}

					if(getJob(%this) $= "Potato") 
    					{
                                		TezRPData.getData(%killer.bl_id).valueMoney += 1000;

                                		commandToClient(%killer, 'centerPrint', "\c2Federal Agent Kill: +$100!\n\c6You have commited a crime. [\c3Murder\c6]", 2);     

                                		%killer.TezRP(2, $TezRP::demerits::murder);
                                	}

                                	%killer.TezRP(1);
				}      
                       }

			if(TezRPData.getData(%killer.client.bl_id).valueDemerits >= $TezRP::demerits::wantedLevel)
                	{
                        	%killer.setShapeNameColor("1 0 0");  
                	}			

                }
                
                parent::onDeath(%this, %this, %killer, %damageType, %unknownA);
        }
                
        function serverCmdteamMessageSent(%client, %text)
        {
                %minigame = %client.minigame;
                %client.minigame = "";
                
                parent::serverCmdteamMessageSent(%client, %text);
                
                %client.minigame = %minigame;
        }
        
        function serverCmdcreateMiniGame(%client)
        {
                return;
        }
        
        function serverCmdleaveMiniGame(%client)
        {
		if(%client.isAdmin)
		{
			parent::serverCmdleaveMiniGame(%client); 
		}
		else
		{
			messageClient(%client, '', "\c6Very naughty.");
                	return;
		}
        }
        
        function serverCmddropTool(%client, %toolID)
        {
                if(getWord(TezRPData.getData(%client.bl_id).valueJailData, 1) > 0)
                {
                        messageClient(%client, '', "\c6You can't drop tools in jail.");
                        
                        return;
                }
                
                parent::serverCmddropTool(%client, %toolID);
        }
        
        function serverCmdsuicide(%client)
        {
                if(getWord(TezRPData.getData(%client.bl_id).valueJailData, 1) > 0)
                {
                        messageClient(%client, '', "\c6You can't suicide while in jail.");
                        
                        return;
                }
                
                //if(TezRPData.getData(%client.bl_id).valueDemerits > 1000) 
                //{
                //        messageClient(%client, '', "\c6You can't suicide while your demerits are over 1000.");
                //        return;
                //}
                
                if(TezRPData.getData(%client.bl_id).valueBounty >= 1)
                {
                      messageClient(%client, '', "\c6You can't suicide while you have bounty.");
                      return; 
                }
		if(TezRPData.getData(%client.bl_id).valueDemerits >= $TezRP::demerits::wantedLevel)
                {
                      messageClient(%client, '', "\c6You can't suicide while you are wanted.");
                      return; 
                }
                parent::serverCmdsuicide(%client);
        }
        
        function fxDtsBrick::onPlant(%brick)
        {
                parent::onPlant(%brick);
                
                if(isObject($loadingBricks_client) && !isObject($loadBrick_fileObj))
                {
                        if(%brick.getDatablock().TezRPBrickType == 1 || %brick.getDatablock().TezRPBrickType == 2)
                        {
                                %brick.schedule(1, "TezRP", 1);
                        }
                        
                        if(%brick.getDatablock().TezRPBrickType == 3)
                        {
                                $TezRP_temp::spawnPoints = ($TezRP_temp::spawnPoints $= "") ? %brick : $TezRP_temp::spawnPoints SPC %brick;
                        }

			if(%brick.getDatablock().TezRPBrickType == 4)
			{
				if(%brick.getDatablock().Lumber)
				{
					%brick.Lumber = %brick.getDatablock().Lumber;
				}
			}
                        
                        return;
                }
                
                if(!isObject(getBrickGroupFromObject(%brick).client))
                {
                        if(%brick.getDatablock().TezRPBrickType == 1)
                        {
	                            %brick.schedule(0, "delete");
                        }
                        
                        if(%brick.getDatablock().TezRPBrickType == 2)
                        {
                                %brick.schedule(0, "TezRP", 1);
                        }
                        
                        if(%brick.getDatablock().TezRPBrickType == 3)
                        {
                                $TezRP_temp::spawnPoints = ($TezRP_temp::spawnPoints $= "") ? %brick : $TezRP_temp::spawnPoints SPC %brick;
                        }

			if(%brick.getDatablock().TezRPBrickType == 4)
			{
				if(%brick.getDatablock().Lumber)
				{
					%brick.Lumber = %brick.getDatablock().Lumber;
				}
			}
                        
                        return;
                }
                
//                %boxSize = getWord(%brick.getDatablock().brickSizeX, 1) / 1.0 SPC getWord(%brick.getDatablock().brickSizeY, 0) / 1.0 SPC getWord(%brick.getDatablock().brickSizeZ, 2) / 1.0;
				%boxSize = (%brick.getDatablock().brickSizeX / 2) SPC (%brick.getDatablock().brickSizeY / 2) SPC (%brick.getDatablock().brickSizeZ / 2);
//				echo("X " @ %brick.getDatablock().brickSizeX);
//				echo("Y " @ %brick.getDatablock().brickSizeY);
//				echo("Z " @ %brick.getDatablock().brickSizeZ);
                if(mFloor(getWord(%brick.rotation, 3)) == 90)
                {
//                        	%boxSize = getWord(%brick.getDatablock().brickSizeY, 1) / 1.0 SPC getWord(%brick.getDatablock().brickSizeX, 0) / 1.0 SPC getWord(%brick.getDatablock().brickSizeZ, 2) / 1.0;
							%boxSize = (%brick.getDatablock().brickSizeY / 2) SPC (%brick.getDatablock().brickSizeX / 2) SPC (%brick.getDatablock().brickSizeZ / 2);
                }
                
                %client = getBrickGroupFromObject(%brick).client;
                
                initContainerBoxSearch(%brick.getWorldBoxCenter(), %boxSize, $typeMasks::triggerObjectType);
                
                while(isObject(%potentialTrigger = containerSearchNext()))
                {
				
                        %trigger = %potentialTrigger;
                        
                        if(%trigger.getDatablock() == TezRPBuildZoneTriggerData.getID())
                        {
                                if(%brick.getDatablock().TezRPBrickType == 1)
                                {
//			echo("");
                                        %brick.schedule(0, "delete");
                                        
                                        return;
                                }
                                
                                if(getTrustLevel(%trigger.parent, %client.player) < 1)
                                {
                                        commandToClient(%client, 'centerPrint', (getBrickGroupFromObject(%trigger.parent).name $= "") ? "\c1BL_ID:" SPC getBrickGroupFromObject(%trigger.parent).bl_id : getBrickGroupFromObject(%trigger.parent).name SPC "\c0does not trust you enough to do that.", 1);
                                        
	                                    %brick.schedule(0, "delete");
                                        
                                        return;
                                }
                        }
                }
                
                if(!%client.isAdmin && %brick.getDatablock().TezRPBrickAdmin)
                {
                        commandToClient(%client, 'centerPrint', "\c3You must be admin to plant this brick!", 3);
                        
                        %brick.schedule(0, "delete");
                        
                        return;
                }
                
                if(!%client.isAdmin && !isObject(%trigger) && %brick.getDatablock().TezRPBrickType != 1)
                {
                        %brick.schedule(0, "delete");
	
                        return;
                }
                
                if(%brick.getDatablock().TezRPBrickType == 1)
                {
                        if(TezRPData.getData(%client.bl_id).valueMoney < mFloor(%brick.getDatablock().initialPrice))
                        {
                                messageClient(%client, '', "\c6You need at least \c3$" @ mFloor(%brick.getDatablock().initialPrice) SPC "\c6in order to plant this lot!");
                                
                                %brick.schedule(0, "delete");
                                
                                return;
                        }
                        
                        messageClient(%client, '', "\c6You have paid \c3$" @ mFloor(%brick.getDatablock().initialPrice) @ "\c6 to plant this lot.");
                        
                        TezRPData.getData(%client.bl_id).valueMoney -= mFloor(%brick.getDatablock().initialPrice);
                }
                
                if(!isObject(TezRPData.getData(getBrickGroupFromObject(%brick).bl_id)))
                {
                        TezRPData.addData(getBrickGroupFromObject(%brick).bl_id);
                }
                
                if(%brick.getDatablock().brickType == 2)
                {
                        if(TezRPData.getData(%client.bl_id).valueMoney < mFloor($TezRP::prices::vehicleSpawn))
                        {
                                messageClient(%client, '', "\c6You need at least \c3$" @ mFloor($TezRP::prices::vehicleSpawn) SPC "\c6in order to plant this vehicle spawn!");
                                
                                %brick.schedule(0, "delete");
                                
                                return;
                        }
                        
                        messageClient(%client, '', "\c6You have paid \c3$" @ mFloor($TezRP::prices::vehicleSpawn) @ "\c6 to plant this vehicle spawn.");
                        
                        TezRPData.getData(%client.bl_id).valueMoney -= mFloor($TezRP::prices::vehicleSpawn);
                }
                
                if(%brick.getDatablock().TezRPBrickType == 1 || %brick.getDatablock().TezRPBrickType == 2)
                {
                        %brick.schedule(0, "TezRP", 1);
                }
                
                if(%brick.getDatablock().TezRPBrickType == 3)
                {
                        $TezRP_temp::spawnPoints = ($TezRP_temp::spawnPoints $= "") ? %brick : $TezRP_temp::spawnPoints SPC %brick;
                }

		if(%brick.getDatablock().TezRPBrickType == 4)
		{
			if(TezRPData.getData(%client.bl_id).valueMoney < mFloor($TezRP::prices::ATM))
                        {
                                messageClient(%client, '', "\c6You need at least \c3$" @ mFloor($TezRP::prices::ATM) SPC "\c6in order to plant this Lumber Tree!");
                                
                                %brick.schedule(0, "delete");
                                
                                return;
                        }
			
			messageClient(%client, '', "\c6You paid \c3$" @ mFloor($TezRP::prices::ATM) @ "\c6 to place a Lumber Tree.");
                        
                        TezRPData.getData(%client.bl_id).valueMoney -= mFloor($TezRP::prices::ATM);
		}
                
                %client.TezRP(1);
        }



function fxDtsBrick::onLoadPlant(%brick)
        {
                parent::onLoadPlant(%brick);
                
                if(isObject($loadingBricks_client) && !isObject($loadBrick_fileObj))
                {
                        if(%brick.getDatablock().TezRPBrickType == 1 || %brick.getDatablock().TezRPBrickType == 2)
                        {
                                %brick.schedule(1, "TezRP", 1);
                        }
                        
                        if(%brick.getDatablock().TezRPBrickType == 3)
                        {
                                $TezRP_temp::spawnPoints = ($TezRP_temp::spawnPoints $= "") ? %brick : $TezRP_temp::spawnPoints SPC %brick;
                        }

			if(%brick.getDatablock().TezRPBrickType == 4)
			{
				if(%brick.getDatablock().Lumber)
				{
					%brick.Lumber = %brick.getDatablock().Lumber;
				}
			}
                        
                        return;
                }
                
                if(!isObject(getBrickGroupFromObject(%brick).client))
                {
                        if(%brick.getDatablock().TezRPBrickType == 1)
                        {
                                %brick.schedule(0, "delete");
                        }
                        
                        if(%brick.getDatablock().TezRPBrickType == 2)
                        {
                                %brick.schedule(0, "TezRP", 1);
                        }
                        
                        if(%brick.getDatablock().TezRPBrickType == 3)
                        {
                                $TezRP_temp::spawnPoints = ($TezRP_temp::spawnPoints $= "") ? %brick : $TezRP_temp::spawnPoints SPC %brick;
                        }

			if(%brick.getDatablock().TezRPBrickType == 4)
			{
				if(%brick.getDatablock().Lumber)
				{
					%brick.Lumber = %brick.getDatablock().Lumber;
				}
			}
                        
                        return;
                }
                
                %boxSize = getWord(%brick.getDatablock().brickSizeX, 1) / 1.0 SPC getWord(%brick.getDatablock().brickSizeY, 0) / 1.0 SPC getWord(%brick.getDatablock().brickSizeZ, 2) / 1.0;
				  //echo("B boxsize1: " @ %boxSize);

                if(mFloor(getWord(%brick.rotation, 3)) == 90)
                {
                        %boxSize = getWord(%brick.getDatablock().brickSizeY, 1) / 1.0 SPC getWord(%brick.getDatablock().brickSizeX, 0) / 1.0 SPC getWord(%brick.getDatablock().brickSizeZ, 2) / 1.0;
						//echo("B boxsize2: " @ %boxSize);
                }
                
                %client = getBrickGroupFromObject(%brick).client;
                
                initContainerBoxSearch(%brick.getWorldBoxCenter(), %boxSize, $typeMasks::triggerObjectType);
                
                while(isObject(%potentialTrigger = containerSearchNext()))
                {
                        %trigger = %potentialTrigger;
                        
                        if(%trigger.getDatablock() == TezRPBuildZoneTriggerData.getID())
                        {
                                if(%brick.getDatablock().TezRPBrickType == 1)
                                {
                                        %brick.schedule(0, "delete");
                                        
                                        return;
                                }
                                
                                if(getTrustLevel(%trigger.parent, %client.player) < 1)
                                {
                                        commandToClient(%client, 'centerPrint', (getBrickGroupFromObject(%trigger.parent).name $= "") ? "\c1BL_ID:" SPC getBrickGroupFromObject(%trigger.parent).bl_id : getBrickGroupFromObject(%trigger.parent).name SPC "\c0does not trust you enough to do that.", 1);
                                        
                                        %brick.schedule(0, "delete");
                                        
                                        return;
                                }
                        }
                }
                
                if(!%client.isAdmin && %brick.getDatablock().TezRPBrickAdmin)
                {
                        commandToClient(%client, 'centerPrint', "\c3You must be admin to plant this brick!", 3);
                        
                        %brick.schedule(0, "delete");
                        
                        return;
                }
                
                if(!%client.isAdmin && !isObject(%trigger) && %brick.getDatablock().TezRPBrickType != 1)
                {
                        %brick.schedule(0, "delete");
                        
                        return;
                }
                
                if(%brick.getDatablock().TezRPBrickType == 1)
                {
                        if(TezRPData.getData(%client.bl_id).valueMoney < mFloor(%brick.getDatablock().initialPrice))
                        {
                                messageClient(%client, '', "\c6You need at least \c3$" @ mFloor(%brick.getDatablock().initialPrice) SPC "\c6in order to plant this lot!");
                                
                                %brick.schedule(0, "delete");
                                
                                return;
                        }
                        
                        messageClient(%client, '', "\c6You have paid \c3$" @ mFloor(%brick.getDatablock().initialPrice) @ "\c6 to plant this lot.");
                        
                        TezRPData.getData(%client.bl_id).valueMoney -= mFloor(%brick.getDatablock().initialPrice);
                }
                
                if(!isObject(TezRPData.getData(getBrickGroupFromObject(%brick).bl_id)))
                {
                        TezRPData.addData(getBrickGroupFromObject(%brick).bl_id);
                }
                
                if(%brick.getDatablock().brickType == 2)
                {
                        if(TezRPData.getData(%client.bl_id).valueMoney < mFloor($TezRP::prices::vehicleSpawn))
                        {
                                messageClient(%client, '', "\c6You need at least \c3$" @ mFloor($TezRP::prices::vehicleSpawn) SPC "\c6in order to plant this vehicle spawn!");
                                
                                %brick.schedule(0, "delete");
                                
                                return;
                        }
                        
                        messageClient(%client, '', "\c6You have paid \c3$" @ mFloor($TezRP::prices::vehicleSpawn) @ "\c6 to plant this vehicle spawn.");
                        
                        TezRPData.getData(%client.bl_id).valueMoney -= mFloor($TezRP::prices::vehicleSpawn);
                }
                
                if(%brick.getDatablock().TezRPBrickType == 1 || %brick.getDatablock().TezRPBrickType == 2)
                {
                        %brick.schedule(0, "TezRP", 1);
                }
                
                if(%brick.getDatablock().TezRPBrickType == 3)
                {
                        $TezRP_temp::spawnPoints = ($TezRP_temp::spawnPoints $= "") ? %brick : $TezRP_temp::spawnPoints SPC %brick;
                }

		if(%brick.getDatablock().TezRPBrickType == 4)
		{
			if(TezRPData.getData(%client.bl_id).valueMoney < mFloor($TezRP::prices::ATM))
                        {
                                messageClient(%client, '', "\c6You need at least \c3$" @ mFloor($TezRP::prices::ATM) SPC "\c6in order to plant this Lumber Tree!");
                                
                                %brick.schedule(0, "delete");
                                
                                return;
                        }
			
			messageClient(%client, '', "\c6You paid \c3$" @ mFloor($TezRP::prices::ATM) @ "\c6 to place a Lumber Tree.");
                        
                        TezRPData.getData(%client.bl_id).valueMoney -= mFloor($TezRP::prices::ATM);
		}
                
                %client.TezRP(1);
        }

///////////////////////////////////////END ON LOAD PLANT

        
        function fxDtsBrick::onDeath(%brick)
        {
                if(%brick.getDatablock().TezRPBrickType == 1 || %brick.getDatablock().TezRPBrickType == 2)
                {
                        %brick.TezRP(2);
                }
                
                if(%brick.getDatablock().TezRPBrickType == 3)
                {
                        if(getWord($TezRP_temp::spawnPoints, 0) == %brick)
                        {
                                $TezRP_temp::spawnPoints = strReplace($TezRP_temp::spawnPoints, %brick @ ((getWordCount($TezRP_temp::spawnPoints) == 1) ? "" : " "), "");
                        }
                        else
                        {
                                $TezRP_temp::spawnPoints = strReplace($TezRP_temp::spawnPoints, " " @ %brick, "");
                        }
                }
                
                parent::onDeath(%brick);
        }
        
        function fxDtsBrick::onRemove(%brick)
        {
                if(%brick.getDatablock().TezRPBrickType == 1 || %brick.getDatablock().TezRPBrickType == 2)
                {
                        %brick.TezRP(2);
                }
                
                if(%brick.getDatablock().TezRPBrickType == 3)
                {
                        if(getWord($TezRP_temp::spawnPoints, 0) == %brick)
                        {
                                $TezRP_temp::spawnPoints = strReplace($TezRP_temp::spawnPoints, %brick @ ((getWordCount($TezRP_temp::spawnPoints) == 1) ? "" : " "), "");
                        }
                        else
                        {
                                $TezRP_temp::spawnPoints = strReplace($TezRP_temp::spawnPoints, " " @ %brick, "");
                        }
                }
                
                parent::onRemove(%brick);
        }
        
        function fxDtsBrick::setName(%brick, %name)
        {
                %oldName = %brick.getName();
                
                if(isObject(%name) && (%brick.getDatablock().TezRPBrickType == 1 || %name.getDatablock().TezRPBrickType == 1))
                {
                        %a = 2;
                        
                        while(isObject(%name @ %a))
                        {
                                %a++;
                        }
                        
                        %name = %name @ %a;
                        
                        parent::setName(%brick, %name);
                        
                        return;
                }
                
                parent::setName(%brick, %name);
                
                if(%name !$= "")
                {
                        for(%a = 1; %a <= TezRPData.dataCount; %a++)
                        {
                                if(getWord(TezRPData.data[%a].valueBuildZoneData, 0) == 0)
                                {
                                        continue;
                                }
                                
                                %data = TezRPData.data[%a].valueBuildZoneData;
                                
                                for(%b = 1; %b < getWordCount(%data); %b++)
                                {
                                        if(%b % 2 == 0)
                                        {
                                                continue;
                                        }
                                        
                                        if(strLwr(getWord(%data, %b)) $= strLwr(getSubStr(%name, 1, strLen(%name) - 1)))
                                        {
                                                %a = 2;
                                                
                                                while(isObject(%name @ %a))
                                                {
                                                        %a++;
                                                }
                                                
                                                %name = %name @ %a;
                                                
                                                parent::setName(%brick, %name);
                                                
                                                return;
                                        }
                                }
                        }
                }
                
                if(%oldName !$= "")
                {
                        if(%brick.getName() $= "")
                        {
                                %data = TezRPData.getData(getBrickGroupFromObject(%brick).bl_id).valueBuildZoneData;
                                
                                %newData = getWord(%data, 0) - 1;
                                
                                for(%a = 1; %a < getWordCount(%data); %a++)
                                {
                                        if(%cancelNext)
                                        {
                                                %cancelNext = false;
                                                
                                                continue;
                                        }
                                        
                                        %newData = %newData SPC getWord(%data, %a);
                                        
                                        if(%a % 2 == 0)
                                        {
                                                continue;
                                        }
                                        
                                        %newBrick = "_" @ getWord(%data, %a);
                                        
                                        if(isObject(%newBrick) && %newBrick $= %oldName)
                                        {
                                                %newData = getWords(%newData, 0, getWordCount(%newData) - 2);
                                                
                                                %cancelNext = true;
                                        }
                                }
                                
                                TezRPData.getData(getBrickGroupFromObject(%brick).bl_id).valueBuildZoneData = %newData;
                        }
                        else
                        {
                                TezRPData.getData(getBrickGroupFromObject(%brick).bl_id).valueBuildZoneData = strReplace(TezRPData.getData(getBrickGroupFromObject(%brick).bl_id).valueBuildZoneData, getSubStr(%oldName, 1, strLen(%oldName) - 1), getSubStr(%name, 1, strLen(%name) - 1));
                        }
                }
        }
        
        function fxDtsBrick::setItem(%brick, %datablock, %client)
        {
                if(!isObject(%client))
                {
                        %client = getBrickGroupFromObject(%brick).client;
                }
                
                if(!isObject(%client))
                {
                        parent::spawnItem(%brick, %pos, %datablock, %client);
                        
                        return;
                }
                
                if(!isObject(%client) || (isObject($loadingBricks_client) && !isObject($loadBrick_fileObj)) || (isObject(%brick.item) && %brick.item.getDatablock() == %datablock))
                {
                        parent::setItem(%brick, %datablock, %client);
                        
                        return;
                }
                
                if(!%datablock.TezRPCanSpawn && %datablock.TezRPCanSpawn !$= "")
                {
                        return;
                }
                
                if(!isObject(%datablock) || (!%client.isAdmin && $TezRP::jobs::items[TezRPData.getData(%client.bl_id).valueJobID] == 0))
                {
                        parent::setItem(%brick, 0, %client);
                        
                        return;
                }
                //ITEM PRICE GENERATOR HERE!!
                %price = (isObject(%datablock.image) && isObject(%datablock.image.projectile)) ? mFloor(%datablock.image.projectile.directDamage) : 0;
                %price2 = (isObject(%datablock.image) && isObject(%datablock.image.projectile) && isObject(%datablock.image.projectile.explosion)) ? mFloor(%datablock.image.projectile.explosion.radiusDamage) : 0;
                
                if((TezRPData.getData(%client.bl_id).valueMoney - ($TezRP::prices::addItemSpawn + (%price + %price2))) < 0)
                {
                        messageClient(%client, '', "\c6You can't afford to spawn this item.");
                        
                        return;
                }
                
                messageClient(%client, '', "\c6You have paid \c3$" @ ($TezRP::prices::addItemSpawn + (%price + %price2)) @ "\c6 to spawn this item.");
                
                TezRPData.getData(%client.bl_id).valueMoney -= $TezRP::prices::addItemSpawn + (%price + %price2);
                
                %client.TezRP(1);
                
                parent::setItem(%brick, %datablock, %client);
        }
        
        function fxDtsBrick::spawnItem(%brick, %pos, %datablock, %client)
        {
                if(!isObject(%client))
                {
                        %client = getBrickGroupFromObject(%brick).client;
                }
                
                if(!isObject(%client))
                {
                        parent::spawnItem(%brick, %pos, %datablock, %client);
                        
                        return;
                }
                
                if(!isObject(%datablock) || (!%client.isAdmin && !$TezRP::jobs::items[TezRPData.getData(%client.bl_id).valueJobID]))
                {
                        return;
                }
                
                if(!%datablock.TezRPCanSpawn && %datablock.TezRPCanSpawn !$= "")
                {
                        return;
                }
                //Item Price Generator
                %price = (isObject(%datablock.image) && isObject(%datablock.image.projectile)) ? mFloor(%datablock.image.projectile.directDamage) : 0;
                %price2 = (isObject(%datablock.image) && isObject(%datablock.image.projectile) && isObject(%datablock.image.projectile.explosion)) ? mFloor(%datablock.image.projectile.explosion.radiusDamage) : 0;
                
                if((TezRPData.getData(%client.bl_id).valueMoney - ($TezRP::prices::addItemSpawn + (%price + %price2))) < 0)
                {
                        messageClient(%client, '', "\c6You can't afford to spawn this item.");
                        
                        return;
                }
                
                messageClient(%client, '', "\c6You have paid \c3$" @ ($TezRP::prices::addItemSpawn + (%price + %price2)) @ "\c6 to spawn this item.");
                
                TezRPData.getData(%client.bl_id).valueMoney -= $TezRP::prices::addItemSpawn + (%price + %price2);
                
                %client.TezRP(1);
                
                parent::spawnItem(%brick, %pos, %datablock, %client);
                
                return;
        }
        
        function TezRPBuildZoneTriggerData::onEnterTrigger(%this, %trigger, %obj)
        {
                %trigger.parent.onEnterBuildZone(%obj);
                
                if(!isObject(%obj.client))
                {
                        return;
                }
                
                %obj.client.TezRPBuildZoneTrigger = %trigger;
                
                %obj.client.TezRP(1);
        }
        
        function TezRPBuildZoneTriggerData::onLeaveTrigger(%this, %trigger, %obj)
        {
                %trigger.parent.onLeaveBuildZone(%obj);
                
                if(!isObject(%obj.client) || %obj.client.TezRPBuildZoneTrigger != %trigger)
                {
                        return;
                }
                
                %obj.client.TezRPBuildZoneTrigger = "";
                
                %obj.client.TezRP(1);
        }
        
        function TezRPInputTriggerData::onEnterTrigger(%this, %trigger, %obj)
        {
                if(!isObject(%obj.client))
                {
                        return;
                }
                
                %obj.client.TezRPTrigger = %trigger;
                
                %trigger.parent.getDatablock().parseData(%trigger.parent, %obj.client, true, "");
        }
        
        function TezRPInputTriggerData::onLeaveTrigger(%this, %trigger, %obj, %a)
        {
                if(!isObject(%obj.client))
                {
                        return;
                }
                
                if(%obj.client.TezRPTrigger == %trigger)
                {
                        %trigger.parent.getDatablock().parseData(%trigger.parent, %obj.client, false, "");
                        
                        %obj.client.TezRPTrigger = "";
                }
        }
        
	function TezRpBankBrickData::parseData(%this, %brick, %client, %triggerStatus, %text)
        {
                if(%triggerStatus !$= "")
                {
                        if(%triggerStatus == true && %client.stage $= "")
                        {
                                messageClient(%client, '', "\c6Welcome! Please type the number corresponding to the options below.");
                                messageClient(%client, '', "\c6Also, you have \c3$" @ getWord(TezRpData.getData(%client.bl_id).valueBankData, 0) SPC "\c6in the bank.");
                                
                                messageClient(%client, '', "\c31 \c6- Withdraw Money");
                                messageClient(%client, '', "\c32 \c6- Deposit Money");
				messageClient(%client, '', "\c33 \c6- Deposit All");
                                messageClient(%client, '', "\c34 \c6- Take Loan");
                                %client.stage = 0;
                        }
                        
                        if(%triggerStatus == false && %client.stage !$= "")
                        {
                                messageClient(%client, '', "\c6Thanks, come again.");
                                
                                %client.stage = "";
                        }
                        
                        return;
                }
                
                %input = strLwr(%text);
                
                if(%client.stage == 1.1)
                {
                        if(mFloor(%input) < 1)
                        {
                                messageClient(%client, '', "\c6Please enter a valid amount of money to withdraw.");
                                
                                return;
                        }
                        
                        if(getWord(TezRpData.getData(%client.bl_id).valueBankData, 0) - mFloor(%input) < 0)
                        {
                                if(getWord(TezRpData.getData(%client.bl_id).valueBankData, 0) < 1)
                                {
                                        messageClient(%client, '', "\c6You don't have that much money in the bank to withdraw.");
                                        
                                        %brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, (isObject(%client.player) ? %client.player : 0));
                                        
                                        return;
                                }
                                
                                %input = getWord(TezRpData.getData(%client.bl_id).valueBankData, 0);
                        }
                        
                        messageClient(%client, '', "\c6You have withdrawn \c3$" @ mFloor(%input) @ "\c6.");
                        
                        TezRpData.getData(%client.bl_id).valueBankData = getWord(TezRpData.getData(%client.bl_id).valueBankData, 0) - mFloor(%input) SPC getWords(TezRpData.getData(%client.bl_id).valueBankData, 1, 2);
                        TezRpData.getData(%client.bl_id).valueMoney += mFloor(%input);
                        
                        %client.TezRp(1);
                        
                        %brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, (isObject(%client.player) ? %client.player : 0));
                        
                        return;
                }
                
                if(%client.stage == 2.1)
                {
                        if(mFloor(%input) < 1)
                        {
                                messageClient(%client, '', "\c6Please enter a valid amount of money to deposit.");
                                
                                return;
                        }
                        
                        if(TezRpData.getData(%client.bl_id).valueMoney - mFloor(%input) < 0)
                        {
                                if(TezRpData.getData(%client.bl_id).valueMoney < 1)
                                {
                                        messageClient(%client, '', "\c6You don't have that much money to deposit.");
                                        
                                        %brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, (isObject(%client.player) ? %client.player : 0));
                                        
                                        return;
                                }
                                
                                %input = TezRpData.getData(%client.bl_id).valueMoney;
                        }
                        
                        messageClient(%client, '', "\c6You have deposited \c3$" @ mFloor(%input) @ "\c6!");
                        
                        TezRpData.getData(%client.bl_id).valueBankData = getWord(TezRpData.getData(%client.bl_id).valueBankData, 0) + mFloor(%input) SPC getWords(TezRpData.getData(%client.bl_id).valueBankData, 1, 2);
                        TezRpData.getData(%client.bl_id).valueMoney -= mFloor(%input);
                        
                        %client.TezRp(1);
                        
                        %brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, (isObject(%client.player) ? %client.player : 0));
                        
                        return;
                }

		if(%client.stage == 3.1)
                {
                        
                        %input = TezRpData.getData(%client.bl_id).valueMoney;
                        
                        messageClient(%client, '', "\c6You have deposited \c3$" @ mFloor(%input) @ "\c6!");
                        
                        TezRpData.getData(%client.bl_id).valueBankData = getWord(TezRpData.getData(%client.bl_id).valueBankData, 0) + mFloor(%input) SPC getWords(TezRpData.getData(%client.bl_id).valueBankData, 1, 2);
                        TezRpData.getData(%client.bl_id).valueMoney -= mFloor(%input);
                        
                        %client.TezRp(1);
                        
                        %brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, (isObject(%client.player) ? %client.player : 0));
                        
                        return;
                }

		
                if(%client.stage == 7.1)
		{
				
			%input = TezRPData.getData(%client.bl_id).valueMoney;
			
			messageClient(%client, '', "\c6You have deposited \c3$" @ mFloor(%input) @ "\c6!");
			
			%brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, (isObject(%client.player) ? %client.player : 0));
			
			TezRPData.getData(%client.bl_id).valueBank += mFloor(%input);
			TezRPData.getData(%client.bl_id).valueMoney -= mFloor(%input);

			%client.TezRp(1);
                        
                        %brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, (isObject(%client.player) ? %client.player : 0));
                        
                        return;
		}
                
                if(%client.stage == 4)
                {
                        return;
                }
                
                if(%client.stage == 4.1)
                {
                        if(mFloor(%input) < 25 || mFloor(%input) > $TezRp::prices::maxLoan)
                        {
                                messageClient(%client, '', "\c6You can only loan between \c3$25 \c6- \c3$" @ $TezRp::prices::maxLoan @"\c6.");
                                
                                return;
                        }
                        
                        
                        messageClient(%client, '', "\c6You have loaned \c3$" @ mFloor(%input) @ "\c6!");
                        
                        %brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, (isObject(%client.player) ? %client.player : 0));
                        
                        TezRpData.getData(%client.bl_id).valueBankData = getWord(TezRpData.getData(%client.bl_id).valueBankData, 0) SPC mFloor(%input) SPC mFloor(%input);
                        TezRpData.getData(%client.bl_id).valueMoney += mFloor(%input);
                        
                        %client.TezRp(1);
                        
                        %brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, (isObject(%client.player) ? %client.player : 0));
                        
                        return;
                }
                
                if(strReplace(%input, "1", "") !$= %input || strReplace(%input, "one", "") !$= %input)
                {
                        %client.stage = 1.1;
                        
                        messageClient(%client, '', "\c6Please enter the amount of money you wish to withdraw.");
                        
                        return;
                }
		
                
                if(strReplace(%input, "2", "") !$= %input || strReplace(%input, "two", "") !$= %input)
                {
                        %client.stage = 2.1;
                        
                        messageClient(%client, '', "\c6Please enter the amount of money you wish to deposit.");
                        
                        return;
                }

		if(strReplace(%input, "3", "") !$= %input || strReplace(%input, "three", "") !$= %input)
                {
                        %client.stage = 3.1;
                        
                        serverCmdMessageSent(%client, TezRPData.getData(%client.bl_id).valueMoney);
                        
                        return;
                }
                
                if(strReplace(%input, "4", "") !$= %input || strReplace(%input, "four", "") !$= %input)
                {
                        if(getWord(TezRpData.getData(%client.bl_id).valueBankData, 2) > 0)
                        {
                                messageClient(%client, '', "\c6You are still paying off your loan of \c3$" @ getWord(TezRpData.getData(%client.bl_id).valueBankData, 2) @ "\c6!");
                                
                                return;
                        }
                        
                        %client.stage = 4.1;
                        
                        messageClient(%client, '', "\c3DISCLAIMER");
                        messageClient(%client, '', "\c6The maximum amount of money you can loan is \c3$" @ $TezRp::prices::maxLoan @ "\c6.");
                        messageClient(%client, '', "\c6You pay back \c3$" @ $TezRp::prices::loanPay SPC "\c6of your loan every tick.");
                        messageClient(%client, '', "\c6You can not reset your account while having a loan out.");
                        messageClient(%client, '', "\c6This may send you into permanent debt.");
                        messageClient(%client, '', " ");
                        
                        messageClient(%client, '', "\c6Please enter the amount of money you wish to loan.");
                        
                        return;
                }
                
                messageClient(%client, '', "\c3" @ %text SPC "\c6is not a valid option!");
        }
        
       
        function TezRPPoliceBrickData::parseData(%this, %brick, %client, %triggerStatus, %text)
        {
                if(%triggerStatus !$= "")
                {
                        if(%triggerStatus == true)
                        {
                                messageClient(%client, '', "\c6Welcome! Please type the number corresponding to the options below.");
                                
                                if(TezRPData.getData(%client.bl_id).valueDemerits > 0)
                                {
                                        messageClient(%client, '', "\c6Also, you have \c3" @ TezRPData.getData(%client.bl_id).valueDemerits SPC "\c6demerits.");
                                }
                                
                                messageClient(%client, '', "\c31 \c6- View Online Criminals");
                                
                                if(TezRPData.getData(%client.bl_id).valueDemerits > 0)
                                {
                                        messageClient(%client, '', "\c32 \c6- Pay Demerits (\c3$" @ TezRPData.getData(%client.bl_id).valueDemerits * 2 @ "\c6)");
                                }
                        }
                        
                        if(%triggerStatus == false)
                        {
                                messageClient(%client, '', "\c6Thanks, come again.");
                        }
                        
                        return;
                }
                
                %input = strLwr(%text);
                
                if(strReplace(%input, "1", "") !$= %input || strReplace(%input, "one", "") !$= %input)
                {
                        %noCriminals = true;
                        
                        for(%a = 0; %a < clientGroup.getCount(); %a++)
                        {
                                %criminal = clientGroup.getObject(%a);
                                
                                if(TezRPData.getData(%criminal.bl_id).valueDemerits >= $TezRP::demerits::wantedLevel)
                                {
                                        messageClient(%client, '', "\c3" @ %criminal.name SPC "\c6- \c3" @ TezRPData.getData(%criminal.bl_id).valueDemerits);
                                        
                                        %noCriminals = false;
                                }
                        }
                        
                        if(%noCriminals)
                        {
                                messageClient(%client, '', "\c6There are no criminals online.");
                        }
                        
                        %brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, (isObject(%client.player) ? %client.player : 0));
                        
                        return;
                }
                
                if((strReplace(%input, "2", "") !$= %input || strReplace(%input, "two", "") !$= %input) && TezRPData.getData(%client.bl_id).valueDemerits > 0)
                {
                        if(TezRPData.getData(%client.bl_id).valueMoney - (TezRPData.getData(%client.bl_id).valueDemerits * 2) < 0)
                        {
                                messageClient(%client, '', "\c6You don't have enough money to do that.");
                                
                                return;
                        }
                        
                        messageClient(%client, '', "\c6You have paid \c3$" @ TezRPData.getData(%client.bl_id).valueDemerits * 2 @ "\c6. You now have no \c6demerits.");
                        
                        TezRPData.getData(%client.bl_id).valueMoney -= TezRPData.getData(%client.bl_id).valueDemerits * 2;
                        TezRPData.getData(%client.bl_id).valueDemerits = 0;
                        
                        %client.TezRP(1);
                        
                        %brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, (isObject(%client.player) ? %client.player : 0));
                        
                        return;
                }
                
                if((strReplace(%input, "3", "") !$= %input || strReplace(%input, "three", "") !$= %input) && TezRPData.getData(%client.bl_id).valueDemerits > 0)
                {
                        if(TezRPData.getData(%client.bl_id).valueMoney - (TezRPData.getData(%client.bl_id).valueDemerits * 2) < 0)
                        {
                                messageClient(%client, '', "\c6You don't have enough money to do that.");
                                
                                return;
                        }
                        
                        messageClient(%client, '', "\c6You have paid \c3$" @ TezRPData.getData(%client.bl_id).valueDemerits * 2 @ "\c6. You now have no \c6demerits.");
                        
                        TezRPData.getData(%client.bl_id).valueMoney -= TezRPData.getData(%client.bl_id).valueDemerits * 2;
                        TezRPData.getData(%client.bl_id).valueDemerits = 0;
                        
                        %client.TezRP(1);
                        
                        %brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, (isObject(%client.player) ? %client.player : 0));
                        
                        return;
                }
                
                messageClient(%client, '', "\c3" @ %text SPC "\c6is not a valid option!");
                
                return;
        }
        
        function TezRPRealEstateBrickData::parseData(%this, %brick, %client, %triggerStatus, %text)
        {
                if(%triggerStatus !$= "")
                {
                        if(%triggerStatus == true)
                        {
                                messageClient(%client, '', "\c6Welcome! Please type the number corresponding to the options below.");
                                
                                messageClient(%client, '', "\c31 \c6- View Lots");
                                messageClient(%client, '', "\c32 \c6- Buy Lot");
                                messageClient(%client, '', "\c33 \c6- Sell Lot");
                                messageClient(%client, '', "\c34 \c6- Cancel Sale");
                                
                                %client.stage = 0;
                                %client.pickedLot = "";
                        }
                        
                        if(%triggerStatus == false)
                        {
                                messageClient(%client, '', "\c6Thanks, come again.");
                                
                                %client.stage = "";
                                %client.pickedLot = "";
                        }
                        
                        return;
                }
                
                %input = strLwr(%text);
                
                if(%client.stage == 2.1)
                {
                        %found = false;
                        
                        for(%a = 1; %a <= TezRPData.dataCount; %a++)
                        {
                                if(getWord(TezRPData.data[%a].valueBuildZoneData, 0) == 0 || TezRPData.data[%a].ID == %client.bl_id)
                                {
                                        continue;
                                }
                                
                                %data = TezRPData.data[%a].valueBuildZoneData;
                                
                                for(%b = 1; %b < getWordCount(%data); %b++)
                                {
                                        if(%b % 2 == 0)
                                        {
                                                continue;
                                        }
                                        
                                        if(strLwr(getWord(%data, %b)) $= %input)
                                        {
                                                %found = true;
                                                
                                                %newBrick = "_" @ getWord(%data, %b);
                                                
                                                %price = getWord(%data, %b + 1);
                                                
                                                %owner = getBrickGroupFromObject(%newBrick);
                                        }
                                }
                        }
                        
                        if(!%found)
                        {
                                messageClient(%client, '', "\c6Invalid lot '\c3" @ %text @ "\c6'.");
                                
                                return;
                        }
                        
                        if(TezRPData.getData(%client.bl_id).valueMoney < %price)
                        {
                                messageClient(%client, '', "\c6You need at least \c3$" @ %price SPC "\c6to buy this lot.");
                                
                                %brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, (isObject(%client.player) ? %client.player : 0));
                                
                                return;
                        }
                        
                        messageClient(%client, '', "\c3You have bought \c3" @ getSubStr(%newBrick, 1, strLen(%newBrick) - 1) SPC "\c6from \c3" @ %owner.name @ "\c6.");
                        
                        if(isObject(%owner.client))
                        {
                                messageClient(%owner.client, '', "\c3" @ %client.name SPC "\c6has bought \c5" @ getSubStr(%newBrick, 1, strLen(%newBrick) - 1) SPC "\c6from you.");
				messageAll('', "\c3" @ %client.name SPC "\c6has bought \c5" @ getSubStr(%newBrick, 1, strLen(%newBrick) - 1) SPC "\c6 from \c3" @ %owner.name @ "\c6.");
                        }
                        
                        TezRPData.getData(%client.bl_id).valueMoney -= %price;
                        TezRPData.getData(%owner.bl_id).valueMoney += %price;
                        
                        %newBrick.TezRP(3, %client.brickGroup);
                        
                        %data = TezRPData.getData(%owner.bl_id).valueBuildZoneData;
                        
                        %newData = getWord(%data, 0) - 1;
                        
                        for(%a = 1; %a < getWordCount(%data); %a++)
                        {
                                if(%cancelNext)
                                {
                                        %cancelNext = false;
                                        
                                        continue;
                                }
                                
                                %newData = %newData SPC getWord(%data, %a);
                                
                                if(%a % 2 == 0)
                                {
                                        continue;
                                }
                                
                                if(strLwr(getWord(%data, %a)) == %newBrick)
                                {
                                        %newData = getWords(%newData, 0, getWordCount(%newData) - 2);
                                        
                                        %cancelNext = true;
                                }
                        }
                        
                        TezRPData.getData(%owner.bl_id).valueBuildZoneData = %newData;
                        
                        %brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, (isObject(%client.player) ? %client.player : 0));
                        
                        return;
                }
                
                if(%client.stage == 3.1)
                {
                        if(%input $= "")
                        {
                                return;
                        }
                        
                        %picked = false;
                        
                        %brickGroup = %client.brickGroup;
                        
                        for(%a = 0; %a < %brickGroup.getCount(); %a++)
                        {
                                if(%brickGroup.getObject(%a).getDatablock().TezRPBrickType == 1)
                                {
                                        if(%brickGroup.getObject(%a).getName() $= "")
                                        {
                                                continue;
                                        }
                                        
                                        %brick = %brickGroup.getObject(%a);
                                        
                                        if(strLwr(getSubStr(%brick.getName(), 1, strLen(%brick.getName()) - 1)) $= %input)
                                        {
                                                if(strReplace(strLwr(TezRPData.getData(%client.bl_id).valueBuildZoneData), strLwr(getSubStr(%brick.getName(), 1, strLen(%brick.getName()) - 1)), "") !$= strLwr(TezRPData.getData(%client.bl_id).valueBuildZoneData))
                                                {
                                                        continue;
                                                }
                                                
                                                %picked = true;
                                                
                                                %client.pickedBrick = %brickGroup.getObject(%a);
                                        }
                                }
                        }
                        
                        if(!%picked)
                        {
                                messageClient(%client, '', "\c6Invalid lot '\c3" @ %text @ "\c6'.");
                                
                                return;
                        }
                        
                        %client.stage = 3.2;
                        
                        messageClient(%client, '', "\c6Please enter the amount you wish to sell the lot for.");
                        
                        return;
                }
                
                if(%client.stage == 3.2)
                {
                        %price = mFloor(%input);
                        
                        if(%price < 1)
                        {
                                messageClient(%client, '', "\c6Please enter a valid price!");
                                
                                return;
                        }
                        
                        messageClient(%client, '', "\c6Your offer has been put up.");
                        
                        if(getWord(TezRPData.getData(%client.bl_id).valueBuildZoneData, 0) > 0)
                        {
                                %rest = getWords(TezRPData.getData(%client.bl_id).valueBuildZoneData, 1, getWordCount(TezRPData.getData(%client.bl_id).valueBuildZoneData) - 1) @ " ";
                        }
                        
                        TezRPData.getData(%client.bl_id).valueBuildZoneData = getWord(TezRPData.getData(%client.bl_id).valueBuildZoneData, 0) + 1 SPC %rest @ getSubStr(%client.pickedBrick.getName(), 1, strLen(%client.pickedBrick.getName()) - 1) SPC %price;
                        
                        %brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, (isObject(%client.player) ? %client.player : 0));
                        
                        return;
                }
                
                if(%client.stage == 4.1)
                {
                        if(%input $= "")
                        {
                                return;
                        }
                        
                        %picked = false;
                        
                        %data = TezRPData.getData(%client.bl_id).valueBuildZoneData;
                        
                        %newData = getWord(%data, 0) - 1;
                        
                        for(%a = 1; %a < getWordCount(%data); %a++)
                        {
                                if(%cancelNext)
                                {
                                        %cancelNext = false;
                                        
                                        continue;
                                }
                                
                                %newData = %newData SPC getWord(%data, %a);
                                
                                if(%a % 2 == 0)
                                {
                                        continue;
                                }
                                
                                if(strLwr(getWord(%data, %a)) $= %input)
                                {
                                        %picked = true;
                                        
                                        %newData = getWords(%newData, 0, getWordCount(%newData) - 2);
                                        
                                        %cancelNext = true;
                                }
                        }
                        
                        if(!%picked)
                        {
                                messageClient(%client, '', "\c6Invalid lot '\c3" @ %text @ "\c6'.");
                                
                                return;
                        }
                        
                        messageClient(%client, '', "\c6Your offer has been withdrawn.");
                        
                        TezRPData.getData(%client.bl_id).valueBuildZoneData = %newData;
                        
                        %brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, (isObject(%client.player) ? %client.player : 0));
                        
                        return;
                }
                
                if(strReplace(%input, "1", "") !$= %input || strReplace(%input, "one", "") !$= %input)
                {
                        %found = false;
                
                        for(%a = 1; %a <= TezRPData.dataCount; %a++)
                        {
                                if(getWord(TezRPData.data[%a].valueBuildZoneData, 0) == 0)
                                {
                                        continue;
                                }
                                
                                %data = TezRPData.data[%a].valueBuildZoneData;
                                
                                for(%b = 1; %b < getWordCount(%data); %b++)
                                {
                                        if(%b % 2 == 0)
                                        {
                                                continue;
                                        }
                                        
                                        %newBrick = "_" @ getWord(%data, %b);
                                        
                                        if(isObject(%newBrick))
                                        {
                                                %found = true;
                                                
                                                messageClient(%client, '', "\c3" @ getWord(%data, %b) @ "\c6, \c3" @ %newBrick.getDatablock().uiName SPC "\c6- Price: \c3$" @ getWord(%data, %b + 1) SPC "\c6Owner: \c3" @ ("brickGroup_" @ TezRPData.data[%a].ID).name);
                                        }
                                }
                        }
                        
                        if(!%found)
                        {
                                messageClient(%client, '', "\c6There are no lots to display.");
                        }
                        
                        %brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, (isObject(%client.player) ? %client.player : 0));
                        
                        return;
                }
                
                if((strReplace(%input, "2", "") !$= %input || strReplace(%input, "two", "") !$= %input))
                {
                        messageClient(%client, '', "\c6Please enter the lot which you wish to buy.");
                        
                        %client.stage = 2.1;
                        
                        return;
                }
                
                if((strReplace(%input, "3", "") !$= %input || strReplace(%input, "three", "") !$= %input))
                {
                        %nameLecture = true;
                        %brick404 = true;
                        
                        %brickGroup = %client.brickGroup;
                        
                        for(%a = 0; %a < %brickGroup.getCount(); %a++)
                        {
                                if(%brickGroup.getObject(%a).getDatablock().TezRPBrickType == 1)
                                {
                                        %brick = %brickGroup.getObject(%a);
                                        
                                        if(strReplace(strLwr(TezRPData.getData(%client.bl_id).valueBuildZoneData), strLwr(getSubStr(%brick.getName(), 1, strLen(%brick.getName()) - 1)), "") !$= strLwr(TezRPData.getData(%client.bl_id).valueBuildZoneData))
                                        {
                                                continue;
                                        }
                                        
                                        %brick404 = false;
                                        
                                        if(%brickGroup.getObject(%a).getName() !$= "")
                                        {
                                                %brick = %brickGroup.getObject(%a);
                                                
                                                %nameLecture = false;
                                                
                                                messageClient(%client, '', "\c6" @ getSubStr(%brick.getName(), 1, strLen(%brick.getName()) - 1) SPC "\c6- \c3" @ %brick.getDatablock().uiName);
                                        }
                                }
                        }
                        
                        if(%brick404)
                        {
                                messageClient(%client, '', "\c6There are no lots to display.");
                                
                                %brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, (isObject(%client.player) ? %client.player : 0));
                                
                                return;
                        }
                        
                        if(%nameLecture)
                        {
                                messageClient(%client, '', "\c6You must give a name to one of your lots!");
                                
                                %brick.trigger.getDatablock().onLeaveTrigger(%brick.trigger, (isObject(%client.player) ? %client.player : 0));
                                
                                return;
                        }
                        
                        messageClient(%client, '', "\c6Please enter the name of the lot you wish to sell.");
                        
                        %client.stage = 3.1;
                        
                        return;
                }
                
                if((strReplace(%input, "4", "") !$= %input || strReplace(%input, "four", "") !$= %input))
                {
                        %data = TezRPData.getData(%client.bl_id).valueBuildZoneData;
                        
                        %found = false;
                        
                        for(%a = 1; %a < getWordCount(%data); %a++)
                        {
                                if(%a % 2 == 0)
                                {
                                        continue;
                                }
                                
                                %found = true;
                                
                                if(isObject("_" @ getWord(%data, %a)))
                                {
                                        %brick = "_" @ getWord(%data, %a);
                                        
                                        messageClient(%client, '', "\c6" @ getWord(%data, %a) SPC "\c6- \c3" @ %brick.getDatablock().uiName);
                                }
                                else
                                {
                                        messageClient(%client, '', "\c6" @ getWord(%data, %a) SPC "\c6- \c3Unknown Lot Type");
                                }
                        }
                        
                        if(!%found)
                        {
                                messageClient(%client, '', "\c6There are no lots to display.");
                                
                                return;
                        }
                        
                        messageClient(%client, '', "\c6Please enter the name of the lot you wish to withdraw from sales.");
                        
                        %client.stage = 4.1;
                        
                        return;
                }
                
                messageClient(%client, '', "\c3" @ %text SPC "\c6is not a valid option!");
                
                return;
        }
        
        function fxDTSBrick::onEnterBuildZone(%brick, %obj)
        {
                $inputTarget_self = %brick;
                
                $inputTarget_client = %obj.client;
                $inputTarget_player = %obj.client.player;
                
                $inputTarget_miniGame = (isObject(getMiniGameFromObject(%obj.client))) ? getMiniGameFromObject(%obj.client) : 0;
                
                %brick.processInputEvent("OnEnterBuildZone", %obj.client);
        }
        
        function fxDTSBrick::onLeaveBuildZone(%brick, %obj)
        {
                $inputTarget_self = %brick;
                
                $inputTarget_client = %obj.client;
                $inputTarget_player = %obj.client.player;
                
                $inputTarget_miniGame = (isObject(getMiniGameFromObject(%obj.client))) ? getMiniGameFromObject(%obj.client) : 0;
                
                %brick.processInputEvent("OnLeaveBuildZone", %obj.client);
        }
        
        function weapon::onPickup(%this, %item, %obj)
        {
                parent::onPickup(%this, %item, %obj);
                
                if(isObject(%item.spawnBrick))
                {
                        %item.spawnBrick.setItem(0, ((isObject(getBrickGroupFromObject(%item.spawnBrick).client)) ? getBrickGroupFromObject(%item.spawnBrick).client : 0), true);
                }
        }
        
        function itemData::onPickup(%this, %item, %obj)
        {
                parent::onPickup(%this, %item, %obj);
                
                if(isObject(%item.spawnBrick))
                {
                        %item.spawnBrick.setItem(0, ((isObject(getBrickGroupFromObject(%item.spawnBrick).client)) ? getBrickGroupFromObject(%item.spawnBrick).client : 0), true);
                }
        }
        
        function player::playThread(%this, %slot, %thread)
        {
                if(%thread $= "armReadyRight" && getWord(TezRPData.getData(%this.client.bl_id).valueJailData, 1) > 0)
                {
                        return;
                }
                
                parent::playThread(%this, %slot, %thread);
        }
        
        function player::mountImage(%this, %datablock, %slot)
        {
                if(getWord(TezRPData.getData(%this.client.bl_id).valueJailData, 1) > 0)
                {
                        return;
                }
                
                parent::mountImage(%this, %datablock, %slot);
        }
        
	function player::giveDefaultEquipment(%this)
        {
		if(TezRPData.getData(%this.client.bl_id).valueTools $= "")
		{
			%tools = ($TezRP::pref::giveDefaultTools ? $TezRP::pref::defaultTools @ " " : "") @ $TezRP::jobs::tools[TezRPData.getData(%this.client.bl_id).valueJobID]; 
		}
		else
		{
			%tools = TezRPData.getData(%this.client.bl_id).valueTools;
		}

                for(%a = 0; %a < %this.getDatablock().maxTools; %a++)
                {
                        if(%a > getWordCount($TezRP::jobs::tools[TezRPData.getData(%this.client.bl_id).valueJobID]) - 1)
                        {
                                %this.tool[%a] = "";
                                
                                messageClient(%this.client, 'MsgItemPickup', "", %a, "");
                                
                                continue;
                        }
                        
                        %this.tool[%a] = nameToID(getWord($TezRP::jobs::tools[TezRPData.getData(%this.client.bl_id).valueJobID], %a));
                        
                        messageClient(%this.client, 'MsgItemPickup', "", %a, nameToID(getWord($TezRP::jobs::tools[TezRPData.getData(%this.client.bl_id).valueJobID], %a)));
                }
                //%this.TezRPData.value["tools"] = %this.tool;
                //%this.maxWeapons = %this.getDatablock().maxTools;
        }

        function player::setDatablock(%this, %datablock)
        {
                if(%this.isSuperAdmin)
                {
			parent::setDatablock(%this, %datablock);           
                }
		else
		{
			return;
		}
                
                
        }
        
        function player::damage(%this, %obj, %pos, %damage, %damageType)
        {
                        if(%this.client.isGod == true)
                        {
                                return; 
                        }
			
                if(isObject(%obj) && isObject(%this.client) && isObject(%obj.client) && %this != %obj && %this.getDamageLevel() + %damage < %this.getDatablock().maxDamage && TezRPData.getData(%this.client.bl_id).valueDemerits < $TezRP::demerits::wantedLevel && getWord(TezRPData.getData(%this.client.bl_id).valueJailData, 1) < 1)
                {
                        %client = ((%this.getType() & $typeMasks::vehicleObjectType) && isObject(%obj.getControllingClient())) ? %obj.getControllingClient() : %obj.client;
                        if(%this.getDamageLevel() + %damage < %this.getDatablock().maxDamage)
                        {
                                //if(getJob(%killer) !$= "Bounty Hunter") 
				//{
                                	commandToClient(%client, 'centerPrint', "\c6You have commited a crime. [\c3Assault\c6]", 1);
                                	%client.TezRP(2, $TezRP::demerits::attemptedMurder);
					
					if(TezRPData.getData(%client.bl_id).valueDemerits >= $TezRP::demerits::wantedLevel)
                			{
                        			%client.player.setShapeNameColor("1 0 0"); 
						//messageAll('', "\c0ALERT\c6: \c3" @ %client.name SPC "\c6has committed an \c4assault and is wanted by the police!"); 
                			}
                                //}
                                       // if(TezRPData.getData(%client.bl_id).valueDemerits == 50)
                                       // {
                                       // 	TezRPData.getData(%this.bl_id).valueBounty += 50;              
                                       // }
                        }
                }
                
                parent::damage(%this, %obj, %pos, %damage, %damageType);
        }

        function player::activateStuff(%this)
        {
                parent::activateStuff(%this);
                
                %target = containerRayCast(%this.getEyePoint(), vectorAdd(vectorScale(vectorNormalize(%this.getEyeVector()), 8), %this.getEyePoint()), $typeMasks::all, %this);
                
                if(isObject(%target) && %target.getType() & $typeMasks::playerObjectType && isObject(%target.client) && getWord(TezRPData.getData(%this.client.bl_id).valueJailData, 1) < 1 && getWord(TezRPData.getData(%target.client.bl_id).valueJailData, 1) < 1 && $TezRP::jobs::pickpocket[TezRPData.getData(%this.client.bl_id).valueJobID] && TezRPData.getData(%target.client.bl_id).valueMoney > 10 && %this.lastPickpocket + 2 < $sim::time)
                {
			if(TezRPData.getData(%target.client.bl_id).valueMoney < 10)
                        {
				commandToClient(%this.client, 'centerPrint', "\c3" @ %target.name SPC "\c6has nothing worthwhile.", 1);
				return;
			}

                        %this.lastPickpocket = $sim::time;
                        
                        if(getRandom(0, 1))
                        {
                                return;
                        }
                        
                        %amount = getRandom(10, 20);
                        
                        commandToClient(%this.client, 'centerPrint', "\c6You have commited a crime. [\c3Pickpocketing\c6]", 1);
                        
                        %this.client.TezRP(2, $TezRP::demerits::pickpocketing);


			if(TezRPData.getData(%this.client.bl_id).valueDemerits >= $TezRP::demerits::wantedLevel)
                	{
                        	%this.player.setShapeNameColor("1 0 0"); 
				//messageAll('', "\c0ALERT\c6: \c3" @ %this.client.name SPC "\c6has committed a \c2mugging \c6and is wanted by the police!"); 
                	}


                        TezRPData.getData(%this.client.bl_id).totalPicketed += %amount;
                        messageClient(%this.client, '', "\c6You have stolen \c3$" @ %amount SPC "\c6from \c3" @ %target.client.name @ "\c6.");
                        messageClient(%target.client, '', "\c3" @ %this.client.name SPC "\c6has stolen \c3$" @ %amount SPC "\c6from you.");
                        
                        TezRPData.getData(%this.client.bl_id).valueMoney += %amount;
                        TezRPData.getData(%target.client.bl_id).valueMoney -= %amount;
                        
                        if(TezRPData.getData(%target.client.bl_id).valueMoney < 0)
                        {
                                TezRPData.getData(%target.client.bl_id).valueMoney = 0;
                        }
                        
                        %this.client.TezRP(1);
                        %target.client.TezRP(1);
                }
        }
};
activatePackage(TezRP);

package RTB_Goodies
{
        function serverCmdRTB_updatePrefs(%client, %prefArray)
        {
                parent::serverCmdRTB_updatePrefs(%client, %prefArray);
                
                export("$TezRP::*","config/server/TezMods/TezRPPrefs.cs");
        }
};
 
if(!$server::dedicated || $server::lan)
{
        if(!$server::dedicated)
        {
                echo("TezRP does not support non-dedicated servers. Terminating.");
        }
        
        if($server::lan)
        {
                echo("TezRP does not support LAN servers. Terminating.");
        }
        
        eval("package TezRP{function TezRP(){return;}};");
        eval("package RTB_Goodies{function serverCmdRTB_updatePrefs(){parent::serverCmdRTB_updatePrefs(%client, %prefArray);}};");
        
        return;
}

if(!$TezRP_temp::loadedDatablocks)
{
        exec("./datablocks.cs");
        exec("./Items/Baton/Baton.cs");
	exec("./Items/FireExtinguisher/FireExtinguisher.cs");
	exec("./Items/FlameThrower/FlameThrower.cs");
	exec("./Items/GrappleRope/GrappleRope.cs");
	exec("./Items/LockPick/LockPick.cs");
	exec("./Items/LumberJack/LumberJack.cs");
	exec("./Items/Taser/Taser.cs");
        if(!$TezRP_temp::loadedDatablocks)
        {
                return;
        }
}
 
TezRP(1);
//makeLogo();


//No hammer/wand abuse...
package ResponsibleTools
{
function HammerImage::onHitObject(%this, %obj, %slot, %col, %pos, %normal)
 {
  if(%col.getClassName() $= "Player" && isObject(%col.client))
   commandToClient(%obj.client, 'messageBoxOK', "Sorry!", "Oops!  You hit a player.  Don't worry, they received no damage from your hammer.");

  else
   parent::onHitObject(%this, %obj, %slot, %col, %pos, %normal);
 }

function WandImage::onHitObject(%this, %obj, %slot, %col, %pos, %normal)
 {
  if(%col.getClassName() $= "Player" && isObject(%col.client))
   commandToClient(%obj.client, 'messageBoxOK', "Sorry!", "Oops!  You wanded a player.");

  else
   parent::onHitObject(%this, %obj, %slot, %col, %pos, %normal);
 }
};
activatePackage(ResponsibleTools);


////////////////////
//FORCED UNIFORMS//
//////////////////
function gameConnection::applyForcedUniforms(%client)
{
	if(isObject(TezRPData.getData(%client.bl_id)))
	{
		%node = strlwr(%node);
	
		if(getWord(TezRPData.getData(%client.bl_id).valueJailData, 1) > 0)
		{
			//Shoes
			%Client.unhideNode("LShoe"); 
			%Client.unhideNode("RShoe"); 
			%Client.setNodeColor("LShoe", 52); 
			%Client.setNodeColor("RShoe", 52);

			//Pants
			%Client.unhideNode("Pants"); 
			%Client.setNodeColor("Pants", 52);

			//Hands
			%Client.unhideNode("LHand"); 
			%Client.unhideNode("RHand"); 
			%Client.setNodeColor("LHand", 52); 
			%Client.setNodeColor("RHand", 52);

			//Chest
			%Client.unhideNode("Chest"); 
			%Client.setNodeColor("Chest", 52);
			
			//Headskin
			%Client.unhideNode("Headskin"); 
			%Client.setNodeColor("Headskin", 52);

			//Hat
			%Client.unhideNode("None"); 
			%Client.setNodeColor("None", 52);

			//%outfit = "none none none none jumpsuit jumpsuit skin jumpsuit jumpsuit";
			%client.applyBodyParts();
			%client.applyBodyColors();
			return;
		}

		if(getJob(%client) $= "Policeman")
		{
			
			//Shoes
			%Client.unhideNode("LShoe"); 
			%Client.unhideNode("RShoe"); 
			%Client.setNodeColor("LShoe", 52); 
			%Client.setNodeColor("RShoe", 52);

			//Pants
			%Client.unhideNode("Pants"); 
			%Client.setNodeColor("Pants", 52);

			//Hands
			%Client.unhideNode("LHand"); 
			%Client.unhideNode("RHand"); 
			%Client.setNodeColor("LHand", 52); 
			%Client.setNodeColor("RHand", 52);

			//Chest
			%Client.unhideNode("Chest"); 
			%Client.setNodeColor("Chest", 52);
			
			//Headskin
			%Client.unhideNode("Headskin"); 
			%Client.setNodeColor("Headskin", 52);

			//Hat
			%Client.unhideNode("CopHat"); 
			%Client.setNodeColor("CopHat", 52);

			//%outfit = "none copHat none none copShirt copShirt skin blackPants blackShoes default Mod-Police";
		}

		//if(getJob(%client) $= "Official")
		//{
			//%outfit = "none copHat none none copShirt blueShirt skin blackPants blackShoes default Mod-Suit";
		//}

		//if(getJob(%client) $= "City Council")
		//{
		//	//%outfit = "keep keep keep keep blueshirt blueshirt keep bluePants blackshoes default Mod-Suit";
		//}
		
		%client.applyBodyParts();
		%client.applyBodyColors();
	}
}

//////////////////////////
//Job Special Abilities//
////////////////////////
$MercenaryPush::Amount = 15;
$MercenaryPush::Status = 1;

package MercenaryPush
{
	function Player::activateStuff(%player)
	{
		if(getJob(%this) !$= "Mercenary")
		{
      			return Parent::activateStuff(%player);
		}

		if(getJob(%this) $= "Mercenary")
		{
      			%client = %player.client;
      			%target = containerRayCast(%player.getEyePoint(), vectorAdd(vectorScale(vectorNormalize(%player.getEyeVector()), 2), %player.getEyePoint()), $typeMasks::playerObjectType,%player);
      			
			if(!isObject(%target) || %target $= %player || %player.getObjectMount() $= %target)
      			{
        			return;
      			}

      			if($MercenaryPush::Status != 1)
      			{
         			return;
      			}
      
			%target.setVelocity(vectorAdd(%target.getVelocity(),vectorScale(%player.getEyeVector(),$MercenaryPush::Amount)));
			Parent::activateStuff(%player);
		}
	}
};
activatepackage(MercenaryPush);

package PoliceWantedCheck
{
	function Player::activateStuff(%this)
   	{
		if(getJob(%this) !$= "Policeman" && getJob(%this) !$= "Police Chief" && getJob(%this) !$= "Sheriff")
		{
      			return Parent::activateStuff(%this);
		}

      		if(getJob(%this) $= "Policeman" || getJob(%this) $= "Police Chief" || getJob(%this) $= "Sheriff" || getJob(%this) $= "Official")
		{
			%client = %this.client;
      			%target = containerRayCast(%this.getEyePoint(), vectorAdd(vectorScale(vectorNormalize(%this.getEyeVector()), 2), %this.getEyePoint()), $typeMasks::playerObjectType,%this);
      			
			if(!isObject(%target) || %target $= %this || %this.getObjectMount() $= %target)
      			{
        			return;
      			}
                        	
				if(TezRPData.getData(%target.bl_id).valueDemerits > $TezRP::demerits::wantedLevel)
				{
					messageClient(%this, '', "\c3 " @ %target.name @ "\c6 is wanted!");
				}

				if(TezRPData.getData(%target.bl_id).valueDemerits < $TezRP::demerits::wantedLevel)
				{
					messageClient(%this, '', "\c3 " @ %target.name @ "\c6 is NOT wanted!");
				}
		}
	Parent::activateStuff(%this);
	}
};
activatepackage(PoliceWantedCheck);